C-----******************************************************************MAIN0000
C-----*                   L  A  Z  Y                                   *MAIN0003
C-----******************************************************************MAIN0006
C-----* ROUTINE TO PREPARE THE INPUT FOR  P U L V E R I X              *MAIN0009
C-----* AUTHOR                                                         *MAIN0010
C-----* K. YVON                                                        *MAIN0011
C-----*                                                                *MAIN0012
C-----* ADDRESS                                                        *MAIN0013
C-----* LABORATOIRE DE CRISTALLOGRAPHIE AUX RAYONS X ,                 *MAIN0014
C-----* UNIVERSITY OF GENEVA                                           *MAIN0015
C-----* 24 QUAI ERNEST ANSERMET, CH 1211 GENEVA, SWITZERLAND           *MAIN0016
C-----* TEL 022 219355                                                 *MAIN0017
C-----******************************************************************MAIN0020
C-----*                                                                *MAIN0021
C-----* R E M A R K S    FOR ADAPTING THE PROGRAM                      *MAIN0022
C-----*                                                                *MAIN0031
C-----* ICR        CARD READER UNIT ( 5)                               *MAIN0032
C-----* ILU        OUTPUT UNIT FOR  P U L V E R I X   ( 21 )           *MAIN0033
C-----* ILV        SCRATCH UNIT FOR INPUT CARDS  (22)                  *MAIN0034
C-----* IPR        LINE PRINTER UNIT   ( 8)                            *MAIN0035
C-----*                                                                *MAIN0037
C-----* LIMIT2     LIMITATION ON NUMBER OF ATOM KINDS  (8)             *MAIN0038
C-----*            VARIABLES                                           *MAIN0039
C-----*            NA,X,Y,Z,FNEUT,BTEMP,ELEMT,FOCCU,DELFR,DELFI,       *MAIN0040
C-----*            FMULT,FA,FB,FC,IDE                                  *MAIN0041
C-----*                                                                *MAIN0042
C-----* LIMIT3     LIMIT ON NUMBER OF ATOMS OF ONE KIND   (50)         *MAIN0043
C-----*            VARIABLES                                           *MAIN0044
C-----*            X,Y,Z,BTEMP,FOCCU,FMULT,IDE                         *MAIN0045
C-----*                                                                *MAIN0046
C-----* LIMIT4     LIMIT ON NUMBER OF EQUIVALENT POINTPOSITIONS (24)   *MAIN0047
C-----*            VARIABLES                                           *MAIN0048
C-----*            TS,FS                                               *MAIN0049
C-----*                                                                *MAIN0050
C-----* DEFAULT VALUES                                                 *MAIN0051
C-----*                                                                *MAIN0052
C-----* ISYMWL     WAVELENGTH FOR X RAYS = COPPER  (CU)                *MAIN0053
C-----* TL1        LOWER THETA LIMIT FOR CALCULATION  (0.0)            *MAIN0054
C-----* TH1        UPPER THETA LIMIT FOR CALCULATION   (89.)           *MAIN0055
C-----* THG        UPPER THETA LIMIT FOR GUINIER CAMERAS  (45.)        *MAIN0056
C-----* CEN        NO CENTER OF SYMMETRY AT ORIGIN  (A)                *MAIN0057
C-----* IMAGE      GRAPHICAL REPRESENTATION OF INTENSITIES  (2)        *MAIN0058
C-----*            ( IN STEPS OF 0.5 DEGREES 2THETA )                  *MAIN0059
C-----* ISYMLP     EXPERIMENTAL TECHNIQUE = DEBYE SCHERRER (BLANK)     *MAIN0060
C-----* SYMBR      BRAVAIS LATTICE = PRIMITIVE  (P)                    *MAIN0061
C-----* IANO       ANOMALOUS DISPERSION INCLUDED  (BLANK)              *MAIN0062
C-----*            ( IF NOT INCLUDED  IANO = N     )                   *MAIN0063
C-----*                                                                *MAIN0064
C-----******************************************************************MAIN0065
      DIMENSION CAR(9), IPOS(45), TSS(24,3), SS(24,3,3), FA(4,8), FB(4,8MAIN0066
     1), FC(8), RN(3), RD(3), S1(3), S2(3), S3(3), XYZ(3), COMPND(19), EMAIN0067
     2LEMT(8), X(99,8), Y(99,8), Z(99,8), FOCCU(99,8), FMULT(99,8), FNEUMAIN0068
     3T(8), NA(8), TS(3,24), FS(3,3,24), BTEMP(99,8), DELFR(8), DELFI(8)MAIN0069
     4, IDE(99,8), IGR(45)                                              MAIN0070
      INTEGER CEN,CAR,SS,ASYMB,ELEMT,ELEMT1,SYMWL,SYMBR,SYMLP           MAIN0071
      COMMON /INPUT/ COMPND,ELEMT,X,Y,Z,FOCCU,FMULT,FNEUT,A,B,C,ALPHA,BEMAIN0072
     1TA,GAMMA,SYMSY,SYMBR,ISYMCE,NCOMPO,NA,SYMWL,WL,TL,TH,NORM,IMAGE,SYMAIN0073
     2MLP,AGUIN,BGUIN,BTEMP,DELFR,DELFI,IANO,NS,IBRAVL                  MAIN0074
      COMMON /UNITS/ ICR,IPR,ILU                                        MAIN0075
      COMMON /POSIT/ RN,RD,S1,S2,S3,IGR                                 MAIN0076
      COMMON /ANOMAL/ DEL1,DEL2                                         MAIN0077
      COMMON /NEU/ FNEU                                                 MAIN0078
      COMMON /SCAT/ FA,FB,FC                                            MAIN0079
      COMMON /EXTI/ IHOO,IOKO,IOOL,IHKO,IHOL,IOKL,IHHL,LAUE,ITRIG       MAIN0080
      COMMON /EQUO/ TS,FS                                               MAIN0081
      COMMON /BURC/ TSS,SS                                              MAIN0082
      COMMON /SLAS/ IP(8,3)                                             MAIN0083
      COMMON /ND/ N3(20)                                                MAIN0084
      DATA CAR(1)/2HTI/,CAR(2)/2HAT/,CAR(3)/2HCE/,CAR(4)/2HLA/,CAR(5)/2HMAIN0085
     1SY/,CAR(6)/2HCO/,CAR(7)/2HSP/,CAR(8)/2HEN/,CAR(9)/2HFI/           MAIN0086
      DATA IBLNK/4HBBBB/                                                MAIN0087
C-----SET LOGICAL UNIT NUMBERS                                          MAIN0088
      ICR=5                                                             MAIN0089
      IPR=8                                                             MAIN0091
      ILU=21                                                            MAIN0093
      ILV=22                                                            MAIN0095
C-----SET PROGRAM LIMITS                                                MAIN0097
      LIMIT2=8                                                          MAIN0098
      LIMIT3=99                                                         MAIN0099
      LIMIT4=24                                                         MAIN0100
C-----                                                                  MAIN0101
C-----READ INPUT FOR SEVERAL JOBS                                       MAIN0102
C-----                                                                  MAIN0103
      NJOB=0                                                            MAIN0104
      WRITE (IPR,38)                                                    MAIN0105
C-----READ FIRST CARD OF EACH SET                                       MAIN0106
 1    READ (ICR,39) (IPOS(I),I=1,40)                                    MAIN0107
C-----CHECK FOR FINISH CARD                                             MAIN0108
      IF (IPOS(1).EQ.CAR(9)) GO TO 4                                    MAIN0109
C-----COUNT NUMBER OF JOBS                                              MAIN0110
      NJOB=NJOB+1                                                       MAIN0111
      WRITE (IPR,40) NJOB                                               MAIN0112
      GO TO 3                                                           MAIN0113
C-----READ REMAINING DATA CARDS                                         MAIN0114
 2    READ (ICR,39) (IPOS(I),I=1,40)                                    MAIN0115
 3    WRITE (IPR,41) (IPOS(I),I=1,35)                                   MAIN0116
C-----WRITE DATA CARDS TWICE ON DISK                                    MAIN0117
      WRITE (ILV,39) (IPOS(I),I=1,40)                                   MAIN0118
      WRITE (ILV,39) (IPOS(I),I=1,40)                                   MAIN0119
C-----CHECK FOR END OF JOB                                              MAIN0120
      IF (IPOS(1).NE.CAR(8)) GO TO 2                                    MAIN0121
      WRITE (IPR,42)                                                    MAIN0122
      GO TO 1                                                           MAIN0123
 4    REWIND ILV                                                        MAIN0124
C-----                                                                  MAIN0125
C-----START CALCULATION FOR NJOB JOBS                                   MAIN0126
C-----                                                                  MAIN0127
      WRITE (ILU) NJOB                                                  MAIN0128
      DO 37 IJOB=1,NJOB                                                 MAIN0129
C-----                                                                  MAIN0130
C-----SET DEFAULT VALUES                                                MAIN0131
C-----                                                                  MAIN0132
      ISYMWL=N3(14)                                                     MAIN0133
      SYMBR=N3(13)                                                      MAIN0134
      ISYMLP=N3(18)                                                     MAIN0135
      CEN=N3(7)                                                         MAIN0136
      NORM=N3(17)                                                       MAIN0137
      WL=1.5418                                                         MAIN0138
      TL1=0.                                                            MAIN0139
      TH1=89.                                                           MAIN0140
      THG=45.                                                           MAIN0141
      IMAGE=2                                                           MAIN0142
      IANO=N3(17)                                                       MAIN0143
C-----                                                                  MAIN0144
C-----SET PARAMETERS BACK TO ORIGINAL VALUE                             MAIN0145
C-----                                                                  MAIN0146
      LAUE=0                                                            MAIN0147
      ITRIG=3                                                           MAIN0148
      IHOO=1                                                            MAIN0149
      IOKO=1                                                            MAIN0150
      IOOL=1                                                            MAIN0151
      IHHL=1                                                            MAIN0152
      IHOL=1                                                            MAIN0153
      IOKL=1                                                            MAIN0154
      IHKO=1                                                            MAIN0155
      NCOMPO=1                                                          MAIN0156
      TH=TH1                                                            MAIN0157
      TL=TL1                                                            MAIN0158
      SYMWL=ISYMWL                                                      MAIN0159
      NS=0                                                              MAIN0160
      IGROUP=0                                                          MAIN0161
      ISYST=0                                                           MAIN0162
      ISYMCE=0                                                          MAIN0163
      A=0.                                                              MAIN0164
C-----SET ARRAYS BACK ZERO                                              MAIN0165
      DO 5 I=1,36                                                       MAIN0166
 5    IGR(I)=N3(17)                                                     MAIN0167
      DO 6 I=1,LIMIT2                                                   MAIN0168
      ELEMT(I)=IBLNK                                                    MAIN0169
      FNEUT(I)=0.                                                       MAIN0170
      DELFR(I)=0.                                                       MAIN0171
      DELFI(I)=0.                                                       MAIN0172
      FC(I)=0.                                                          MAIN0173
      DO 6 J=1,4                                                        MAIN0174
      FA(J,I)=0.                                                        MAIN0175
      FB(J,I)=0.                                                        MAIN0176
 6    NA(I)=0                                                           MAIN0177
      DO 7 I=1,3                                                        MAIN0178
      DO 7 J=1,3                                                        MAIN0179
      DO 7 K=1,LIMIT4                                                   MAIN0180
      TS(I,K)=0.                                                        MAIN0181
      FS(I,J,K)=0.                                                      MAIN0182
 7    CONTINUE                                                          MAIN0183
C-----TRIVIAL POSITION X,Y,Z                                            MAIN0184
      FS(1,1,1)=1.                                                      MAIN0185
      FS(2,2,1)=1.                                                      MAIN0186
      FS(3,3,1)=1.                                                      MAIN0187
C-----LOOP OVER ALL DATA CARDS ON FILE ILV FOR ONE SET                  MAIN0188
 8    READ (ILV,43) INDF                                                MAIN0189
C-----READ FIRST RECORD TO IDENTIFY FORMAT                              MAIN0190
      DO 9 J=1,8                                                        MAIN0191
      IF (INDF.NE.CAR(J)) GO TO 9                                       MAIN0192
      M=J                                                               MAIN0193
      GO TO 10                                                          MAIN0194
 9    CONTINUE                                                          MAIN0195
      WRITE (IPR,44) INDF                                               MAIN0196
      GO TO 35                                                          MAIN0197
C-----READ SECOND RECORD WITH CORRECT FORMAT                            MAIN0198
 10   GO TO (11,12,16,18,19,23,24,26), M                                MAIN0199
C-----T I T L E  CARD                                                   MAIN0200
 11   READ (ILV,45) (COMPND(I),I=1,19)                                  MAIN0201
      GO TO 8                                                           MAIN0202
C-----A T O M  CARD                                                     MAIN0203
 12   READ (ILV,46) ELEMT1,IDE1,((IP(I,J),I=1,8),J=1,3),B1,FOCCU1       MAIN0204
      CALL SLASH (XYZ)                                                  MAIN0205
      IF (FOCCU1.EQ.0.)FOCCU1=1.                                        MAIN0206
      DO 13 I=1,NCOMPO                                                  MAIN0207
      NC=I                                                              MAIN0208
C-----ADD ATOM TO SAME ATOM KIND                                        MAIN0209
      IF (ELEMT1.EQ.ELEMT(NC)) GO TO 14                                 MAIN0210
 13   CONTINUE                                                          MAIN0211
C-----STORE ATOM AS NEW ATOMKIND                                        MAIN0212
      IF (NA(1).EQ.0) GO TO 14                                          MAIN0213
      NCOMPO=NCOMPO+1                                                   MAIN0214
      NC=NCOMPO                                                         MAIN0215
      IF (NCOMPO.LE.LIMIT2) GO TO 14                                    MAIN0216
      WRITE (IPR,47) LIMIT2                                             MAIN0217
      GO TO 35                                                          MAIN0218
 14   NA(NC)=NA(NC)+1                                                   MAIN0219
      I=NA(NC)                                                          MAIN0220
      IF (NA(NC).LE.LIMIT3) GO TO 15                                    MAIN0221
      WRITE (IPR,48) NA(NC),ELEMT1,LIMIT3                               MAIN0222
      GO TO 35                                                          MAIN0223
 15   X(I,NC)=XYZ(1)                                                    MAIN0224
      Y(I,NC)=XYZ(2)                                                    MAIN0225
      Z(I,NC)=XYZ(3)                                                    MAIN0226
      ELEMT(NC)=ELEMT1                                                  MAIN0227
      IDE(I,NC)=IDE1                                                    MAIN0228
      FOCCU(I,NC)=FOCCU1                                                MAIN0229
      BTEMP(I,NC)=B1                                                    MAIN0230
      GO TO 8                                                           MAIN0231
C-----C E L L  CARD                                                     MAIN0232
 16   READ (ILV,49) A,B,C,ALPHA,BETA,GAMMA                              MAIN0233
C-----CRYSTAL SYSTEM                                                    MAIN0234
      ISYSTM=2                                                          MAIN0235
      IF (B.NE.0.)GO TO 17                                              MAIN0236
      IF (GAMMA.EQ.0.)ISYSTM=4                                          MAIN0237
      IF (GAMMA.EQ.120.) ISYSTM=6                                       MAIN0238
      IF (C.EQ.0.)ISYSTM=5                                              MAIN0239
 17   IF (BETA.NE.0.)ISYSTM=1                                           MAIN0240
      IF ((BETA.NE.0.).AND.(ALPHA.NE.0.)) ISYSTM=7                      MAIN0241
      GO TO 8                                                           MAIN0242
C-----L A T I C E  CARD                                                 MAIN0243
 18   READ (ILV,50) CEN,SYMBR                                           MAIN0244
      IF (CEN.EQ.N3(9)) ISYMCE=1                                        MAIN0245
      GO TO 8                                                           MAIN0246
C-----S Y M T R Y  CARD                                                 MAIN0247
 19   READ (ILV,51) (IGR(J),J=1,45)                                     MAIN0248
      CALL EQVP                                                         MAIN0249
      IF (RN(1).EQ.999.9) GO TO 35                                      MAIN0250
      NS=NS+1                                                           MAIN0251
      IF (NS.LE.LIMIT4) GO TO 20                                        MAIN0252
      WRITE (IPR,52) LIMIT4                                             MAIN0253
      GO TO 35                                                          MAIN0254
 20   DO 22 J=1,3                                                       MAIN0255
      IF (RD(J).EQ.0.) GO TO 21                                         MAIN0256
      RD(J)=RN(J)/RD(J)                                                 MAIN0257
 21   TS(J,NS)=RD(J)                                                    MAIN0258
      FS(1,J,NS)=S1(J)                                                  MAIN0259
      FS(2,J,NS)=S2(J)                                                  MAIN0260
      FS(3,J,NS)=S3(J)                                                  MAIN0261
 22   CONTINUE                                                          MAIN0262
      GO TO 8                                                           MAIN0263
C-----C O N D I T  CARD                                                 MAIN0264
 23   READ (ILV,53) SYMWL,WL,TL,TH,NORM,IMAGE,SYMLP,IANO                MAIN0265
C-----REPLACE BLANKS BY DEFAULT SYMBOLS                                 MAIN0266
      IF (SYMWL.EQ.N3(19)) SYMWL=ISYMWL                                 MAIN0267
      IF(TH.EQ.0.) TH=TH1                                               MAIN0268
      IF(TH.GT.TH1) TH=TH1                                              MAIN0269
      IF(TH.LT.TL)  TH=TL                                               MAIN0270
      GO TO 8                                                           MAIN0271
C-----S P C G R P  CARD                                                 MAIN0272
 24   READ (ILV,54) (IGR(I),I=1,36)                                     MAIN0273
      ISYST=0                                                           MAIN0274
      IGROUP=1                                                          MAIN0275
      CALL BURZ (ISYST,ISY,ISYB,NG)                                     MAIN0276
      NS=NG                                                             MAIN0277
      SYMBR=ISYB                                                        MAIN0278
      ISYMCE=ISY                                                        MAIN0279
C-----MAKE ARRAY FROM BURZ COMPATIBLE WITH P U L V E R I X              MAIN0280
      DO 25 I=1,3                                                       MAIN0281
      DO 25 IJ=1,3                                                      MAIN0282
      DO 25 IK=1,NS                                                     MAIN0283
      FS(I,IJ,IK)=SS(IK,IJ,I)                                           MAIN0284
      TS(IJ,IK)=TSS(IK,IJ)                                              MAIN0285
 25   CONTINUE                                                          MAIN0286
      GO TO 8                                                           MAIN0287
C-----END OF FORMAT INTERPRETATION                                      MAIN0288
 26   READ (ILV,43) INDF                                                MAIN0289
C-----CHECK FOR CELL AND ATOM CARD                                      MAIN0290
      IF (NA(1).NE.0) GO TO 27                                          MAIN0291
      WRITE (IPR,55)                                                    MAIN0292
      GO TO 36                                                          MAIN0293
 27   IF (A.NE.0.)GO TO 28                                              MAIN0294
      WRITE (IPR,56)                                                    MAIN0295
      GO TO 36                                                          MAIN0296
C-----LORENTZ POLARISATION FACTOR                                       MAIN0297
 28   KODLP=LP(SYMLP)                                                   MAIN0298
C-----CENTER OF SYMMETRY AT ORIGIN                                      MAIN0299
      IF (CEN.EQ.N3(9)) ISYMCE=1                                        MAIN0300
C-----WAVELENGTH                                                        MAIN0301
      IF (WL.LT.0.02) WL=WAVE(SYMWL)                                    MAIN0302
C-----LIMIT UPPER SIN**2 THETA VALUE FOR GUINIER CAMERA                 MAIN0303
      IF ((KODLP.GT.2).AND.(TH.GT.45.)) TH=THG                          MAIN0304
C-----TABULAR OUTPUT FEATURE                                            MAIN0305
      IF (NORM.EQ.N3(17)) INORM=0                                       MAIN0306
      IF ((IANO.EQ.N3(17)).AND.(ISYMCE.EQ.0).AND.(KODLP.NE.2)) INORM=2  MAIN0307
      IF (NORM.EQ.N3(7)) INORM=1                                        MAIN0308
      IF (NORM.EQ.N3(12)) INORM=3                                       MAIN0309
C-----DEFAULT SYMMETRY OPERATOR                                         MAIN0310
      IF (NS.EQ.0) NS=1                                                 MAIN0311
C-----DERIVE BRAVAIS LATTICE INDICATOR                                  MAIN0312
      IBRAVL=BRA(SYMBR)                                                 MAIN0313
C-----CALCULATE MULTIPLICITIES OF SPECIAL ATOM POSITIONS                MAIN0314
      CALL MULTF                                                        MAIN0315
C-----ANOMALOUS  DISPERSION INDICATOR                                   MAIN0316
      ANO=0.                                                            MAIN0317
      IF ((IANO.EQ.N3(17)).AND.(KODLP.NE.2)) ANO=1.                     MAIN0318
C-----CHECK CRYSTAL SYSTEM                                              MAIN0319
      IF (ISYST.EQ.0) GO TO 29                                          MAIN0320
      IF (ISYST.EQ.ISYSTM) GO TO 29                                     MAIN0321
      WRITE (IPR,57)                                                    MAIN0322
C-----TAKE CRYSTAL SYSTEM FROM GROUP CARD                               MAIN0323
      ISYSTM=ISYST                                                      MAIN0324
C-----CALCULATE EXTINCTIONS,LAUE GROUP AND TRIGONAL SYMMETRY INDICATOR  MAIN0325
 29   CALL EXTINC (ISYMCE,NS)                                           MAIN0326
      IF (ISYSTM.EQ.6) ISYSTM=ITRIG                                     MAIN0327
C-----RETRIEVE SCATTERING FACTORS FOR X RAY,NEUTRON AND ANOM.DISP.      MAIN0328
      DO 33 I=1,NCOMPO                                                  MAIN0329
      FNEU=0.                                                           MAIN0330
      NC=I                                                              MAIN0331
      DELFR(I)=0.                                                       MAIN0332
      ASYMB=ELEMT(NC)                                                   MAIN0333
      DELFI(I)=0.                                                       MAIN0334
      IF (KODLP.NE.2) GO TO 31                                          MAIN0335
C-----RETRIEVE NEUTRON SCATTERING LENGTH                                MAIN0336
      CALL ANOMA (SYMWL,ELEMT(NC),KODLP)                                MAIN0337
      IF (FNEU.NE.0.) GO TO 30                                          MAIN0338
      WRITE (IPR,58) ELEMT(NC)                                          MAIN0339
      GO TO 36                                                          MAIN0340
 30   FNEUT(NC)=FNEU                                                    MAIN0341
      GO TO 33                                                          MAIN0342
 31   IF ( ANO .EQ.0.) GO TO 32                                         MAIN0343
C-----RETRIEVE ANOMALOUS DISPERSION COEFFICIENTS                        MAIN0344
      CALL ANOMA (SYMWL, ASYMB   ,KODLP)                                MAIN0345
      DELFR(NC)=DEL1                                                    MAIN0346
      DELFI(NC)=DEL2                                                    MAIN0347
C-----RETRIEVE CROMER-MANN COEFFICIENTS                                 MAIN0348
 32   CALL FSC (ASYMB,NC)                                               MAIN0349
      IF (FC(NC).EQ.999.9) GO TO 36                                     MAIN0350
 33   CONTINUE                                                          MAIN0351
C-----WRITE DATA FOR FOLLOWING PROGRAM PULVR2 ON UNIT ILU               MAIN0352
      WRITE (ILU) (COMPND(I),I=1,19),A,B,C,ALPHA,BETA,GAMMA,WL,(IGR(I),IMAIN0353
     1=1,36),IGROUP, SYMWL, SYMLP                                       MAIN0354
      WRITE (ILU) ISYSTM,ISYMCE,IBRAVL,NS,TL,TH,INORM,IMAGE,ANO,KODLP,NCMAIN0355
     1OMPO,(NA(I),I=1,8),IHOO,IOKO,IOOL,IHHL,IHOL,IHKO,IOKL,LAUE        MAIN0356
      WRITE (ILU) ((TS(I,II),(FS(K,I,II),K=1,3),I=1,3),II=1,NS)         MAIN0357
      DO 34 M=1,NCOMPO                                                  MAIN0358
      NL=NA(M)                                                          MAIN0359
      WRITE (ILU) DELFR(M),DELFI(M)                                     MAIN0360
      WRITE (ILU) ELEMT(M),(FA(I,M),FB(I,M),I=1,4),FC(M),FNEUT(M)       MAIN0361
      WRITE (ILU) (ELEMT(M),IDE(I,M),X(I,M),Y(I,M),Z(I,M),FMULT(I,M),FOCMAIN0362
     1CU(I,M),BTEMP(I,M),I=1,NL)                                        MAIN0363
 34   CONTINUE                                                          MAIN0364
      WRITE (IPR,59) IJOB                                               MAIN0365
      GO TO 37                                                          MAIN0366
C-----SKIP RECORDS UNTIL END CARD                                       MAIN0367
 35   READ (ILV,43) INDF                                                MAIN0368
      IF (INDF.NE.CAR(8)) GO TO 35                                      MAIN0369
      READ(ILV,43) INDF                                                 MAIN0370
 36   WRITE (IPR,60) IJOB                                               MAIN0371
C-----WRITE ONE DUMMY RECORD FOR BAD JOB                                MAIN0372
      A=-1.                                                             MAIN0373
      WRITE (ILU) (COMPND(I),I=1,19),A,B,C,ALPHA,BETA,GAMMA,WL,(IGR(I),IMAIN0374
     1=1,36),IGROUP                                                     MAIN0375
 37   CONTINUE                                                          MAIN0376
C-----END OF DATA PREPARATION                                           MAIN0377
      REWIND ILU                                                        MAIN0378
      WRITE (IPR,61)                                                    MAIN0379
      STOP                                                              MAIN0380
C-CDC-CALL EXIT                                                         MAIN0381
 38   FORMAT (1H1,///15H START  L A Z Y/////)                           MAIN0382
 39   FORMAT (40A2)                                                     MAIN0383
 40   FORMAT (//12H INPUT CARDS//4H JOB,I6//3H *.,7(10H*********.),1H*) MAIN0384
 41   FORMAT (3H * ,35A2,1H*)                                           MAIN0385
 42   FORMAT (3H *.,7(10H*********.),1H*)                               MAIN0386
 43   FORMAT (A2)                                                       MAIN0387
 44   FORMAT (16H FORMAT LETTERS ,A2,15H NOT RECOGNIZED)                MAIN0388
 45   FORMAT (6X,18A4,A2)                                               MAIN0389
 46   FORMAT (7X,A4,A2,3(8A1),F6.2,F5.2)                                MAIN0390
 47   FORMAT (6H ONLY ,I5,19H ATOM KINDS ALLOWED)                       MAIN0391
 48   FORMAT (I5,9H ATOMS OF,A4,15H NUMBER ALLOWED,I5)                  MAIN0392
 49   FORMAT (13X,3F8.0,3F9.0)                                          MAIN0393
 50   FORMAT (8X,A1,2X,A1)                                              MAIN0394
 51   FORMAT (6X,45A1)                                                  MAIN0395
 52   FORMAT (10H MORE THAN,I5,13H SYMTRY CARDS)                        MAIN0396
 53   FORMAT (10X,A4,F6.0,2F5.0,1X,A1,I2,A2,1X,A1)                      MAIN0397
 54   FORMAT (6X,36A1)                                                  MAIN0398
 55   FORMAT (23H NO ATOM CARD WAS FOUND)                               MAIN0399
 56   FORMAT (23H NO CELL CARD WAS FOUND  )                             MAIN0400
 57   FORMAT (/12H * WARNING */,76H CRYSTAL SYSTEM SPECIFIED ON CELL CARMAIN0401
     1D AND ON GROUP CARD ARE NOT CONSISTENT  )                         MAIN0402
 58   FORMAT (37H NEUTRON SCATTERING LENGTH FOR SYMBOL,2X,A4,19H HAS NOTMAIN0403
     1 BEEN FOUND)                                                      MAIN0404
 59   FORMAT (/4H JOB,I6,5H OK  /)                                      MAIN0405
 60   FORMAT (/5H JOB ,I5,7H FAILED//)                                  MAIN0406
 61   FORMAT (/16H END OF  L A Z Y)                                     MAIN0407
      END                                                               MAIN0408
      FUNCTION WAVE (SYML)                                              WAVE0000
C-----DERIVES WAVELENGTH FOR RADIATION SYMBOL SYML                      WAVE0001
      COMMON/WAVEL/ CT                                                  WAVE0002
      INTEGER CT,SYML                                                   WAVE0003
      DIMENSION CT(20), W(20)                                           WAVE0004
      DATA W(1)/2.28970/,W(2)/2.29361/,W(3)/2.0848/,W(4)/2.2909/,W(5)/1.WAVE0005
     193604/,W(6)/1.93998/,W(7)/1.75653/,W(8)/1.9373/,W(9)/1.54056/,W(10WAVE0006
     2)/1.54439/,W(11)/1.39217/,W(12)/1.5418/,W(13)/0.70930/,W(14)/0.713WAVE0007
     359/,W(15)/0.63225/,W(16)/0.7107/,W(17)/0.55941/,W(18)/0.56380/,W(1WAVE0008
     49)/0.49701/,W(20)/0.5608/                                         WAVE0009
      DO 1 I=1,20                                                       WAVE0010
      IF (SYML-CT(I)) 1,2,1                                             WAVE0011
 1    CONTINUE                                                          WAVE0012
      WAVE=W(12)                                                        WAVE0013
      RETURN                                                            WAVE0014
 2    WAVE=W(I)                                                         WAVE0015
      RETURN                                                            WAVE0016
      END                                                               WAVE0017
      FUNCTION LP (SYMLP)                                               LPS00001
C-----ASSIGNS SEQUENCE NUMBER LP TO EACH LOR.POL. SYMBOL SYMLP          LPS00101
      COMMON /FLOR/ LPF,CS                                              LPS00201
      DIMENSION LPF(6), CS(6)                                           LPS00301
      INTEGER CS,SYMLP                                                  LPS00401
      DO 1 I=1,6                                                        LPS00501
      IF (SYMLP-CS(I)) 1,2,1                                            LPS00601
 1    CONTINUE                                                          LPS00701
      LP=LPF(1)                                                         LPS00801
      RETURN                                                            LPS00901
 2    LP=LPF(I)                                                         LPS01001
      RETURN                                                            LPS01101
      END                                                               LPS01201
      FUNCTION BRA (SYMBR)                                              BRAS0000
C-----ASSIGNS SEQUENCE NUMBER BRA TO BRAVAIS LATTICE SYMBOL SYMBR       BRAS0001
      COMMON /BRAF/ IB,CU                                               BRAS0002
      INTEGER CU,SYMBR                                                  BRAS0003
      DIMENSION IB(8), CU(8)                                            BRAS0004
      DO 1 I=1,8                                                        BRAS0005
      IF (SYMBR-CU(I)) 1,2,1                                            BRAS0006
 1    CONTINUE                                                          BRAS0007
      BRA=IB(1)                                                         BRAS0008
      RETURN                                                            BRAS0009
 2    BRA=IB(I)                                                         BRAS0010
      RETURN                                                            BRAS0011
      END                                                               BRAS0012
      SUBROUTINE SLASH (XYZ)                                            SLAS0000
C-----INTERPRETS COORDINATES GIVEN IN FRACTIONAL FORM                   SLAS0001
      COMMON /SLAS/ IP(8,3)                                             SLAS0002
      DIMENSION ID(13), FDE(2), IK(2), XYZ(3)                           SLAS0003
      DATA ID(1)/1H0/,ID(2)/1H1/,ID(3)/1H2/,ID(4)/1H3/,ID(5)/1H4/,ID(6)/SLAS0004
     11H5/,ID(7)/1H6/,ID(8)/1H7/,ID(9)/1H8/,ID(10)/1H9/,ID(11)/1H./,    SLAS0005
     2ID(12)/1H-/,ID(13)/1H /                                           SLAS0006
C-----NUMBER OF COLUMNS IN FORMAT FIELD OF ATOM CARD                    SLAS0007
      NFIELD=8                                                          SLAS0008
      DO 5 L=1,3                                                        SLAS0009
      IK(1)=1                                                           SLAS0010
      IK(2)=1                                                           SLAS0011
      FDE(1)=0                                                          SLAS0012
      FDE(2)=0                                                          SLAS0013
      NPOI=1                                                            SLAS0014
      X=1.                                                              SLAS0015
      IJ=1                                                              SLAS0016
      K=1                                                               SLAS0017
C-----LOOP OVER NUMBER OF FIELDS                                        SLAS0018
      DO 3 I=1,NFIELD                                                   SLAS0019
      K=NFIELD+1-I                                                      SLAS0020
      DO 1 II=1,10                                                      SLAS0021
      IF (IP(K,L).EQ.ID(11)) NPOI=-1                                    SLAS0022
      IF (IP(K,L).EQ.ID(12)) X=-1.                                      SLAS0023
      IF (IP(K,L).EQ.ID(13)) GO TO 3                                    SLAS0024
      IF (IP(K,L).EQ.ID(II)) GO TO 2                                    SLAS0025
 1    CONTINUE                                                          SLAS0026
      IJ=2                                                              SLAS0027
      GO TO 3                                                           SLAS0028
 2    FDE(IJ)=FDE(IJ)+10**(IK(IJ)-1)*(II-1)                             SLAS0029
      IK(IJ)=IK(IJ)+1                                                   SLAS0030
 3    CONTINUE                                                          SLAS0031
      IF (FDE(1).NE.0.)GO TO 4                                          SLAS0032
      XYZ(L)=0.                                                         SLAS0033
      GO TO 5                                                           SLAS0034
 4    IF (NPOI.NE.-1) X=X*FDE(2)/FDE(1)                                 SLAS0035
      EX=-IK(1)+1                                                       SLAS0036
      IF (NPOI.EQ.-1) X=FDE(2)*X+X*FDE(1)*10.**EX                       SLAS0037
C-----MAKE COORDINATE POSITIVE                                          SLAS0038
      IF (X.LT.-1.) X=X+1.                                              SLAS0039
      XYZ(L)=X                                                          SLAS0040
 5    CONTINUE                                                          SLAS0041
      RETURN                                                            SLAS0042
      END                                                               SLAS0043
      SUBROUTINE EQVP                                                   EQVP0000
C-----DECODES EQUIVALENT POSITION CARD                                  EQVP0001
      COMMON /UNITS/ ICR,IPR,ILU                                        EQVP0002
      COMMON /POSIT/ RNN,RDD,S1N,SZN,S3N,IPOS                           EQVP0003
      DIMENSION IPOS(45), IC(18)                                        EQVP0004
      DIMENSION RNN(3), RDD(3), S1N(3), SZN(3), S3N(3)                  EQVP0005
      DATA IC(1)/1HX/,IC(2)/1HY/,IC(3)/1HZ/,IC(4)/1H-/,IC(5)/1H,/,IC(6)/EQVP0006
     11H /,IC(7)/1H+/,IC(8)/1H//,IC(9)/1H0/,IC(10)/1H1/,IC(11)/1H2/,IC(1EQVP0007
     22)/1H3/,IC(13)/1H4/,IC(14)/1H5/,IC(15)/1H6/,IC(16)/1H7/,IC(17)/1H8EQVP0008
     3/,IC(18)/1H9/                                                     EQVP0009
      DO 1 J=1,3                                                        EQVP0010
      RDD(J)=0                                                          EQVP0011
      RNN(J)=0                                                          EQVP0012
      S1N(J)=0                                                          EQVP0013
      SZN(J)=0                                                          EQVP0014
      S3N(J)=0                                                          EQVP0015
 1    CONTINUE                                                          EQVP0016
      K=1                                                               EQVP0017
      J=1                                                               EQVP0018
      VZ=1.                                                             EQVP0019
C-----LOOP OVER ALL FIELDS                                              EQVP0020
      DO 13 N=1,45                                                      EQVP0021
      DO 2 II=1,18                                                      EQVP0022
      IF (IPOS(N).NE.IC(II)) GO TO 2                                    EQVP0023
      M=II                                                              EQVP0024
      IPOS(N)=IC(6)                                                     EQVP0025
      GO TO 3                                                           EQVP0026
 2    CONTINUE                                                          EQVP0027
      WRITE (IPR,15) IPOS(N)                                            EQVP0028
      RNN(1)=999.9                                                      EQVP0029
      RETURN                                                            EQVP0030
 3    GO TO (7,8,9,10,11,13,13,13,4,4,4,4,4,4,4,4,4,4), M               EQVP0031
 4    GO TO (5,6), K                                                    EQVP0032
 5    RNN(J)=M-9                                                        EQVP0033
      K=2                                                               EQVP0034
      GO TO 13                                                          EQVP0035
 6    RDD(J)=M-9                                                        EQVP0036
      K=1                                                               EQVP0037
      GO TO 13                                                          EQVP0038
 7    S1N(J)=VZ                                                         EQVP0039
      GO TO 12                                                          EQVP0040
 8    SZN(J)=VZ                                                         EQVP0041
      GO TO 12                                                          EQVP0042
 9    S3N(J)=VZ                                                         EQVP0043
      GO TO 12                                                          EQVP0044
 10   VZ=-1.                                                            EQVP0045
      GO TO 13                                                          EQVP0046
 11   J=J+1                                                             EQVP0047
      GO TO 13                                                          EQVP0048
 12   VZ=1.                                                             EQVP0049
 13   CONTINUE                                                          EQVP0050
      IF (J.EQ.3) GO TO 14                                              EQVP0051
      WRITE (IPR,16)                                                    EQVP0052
      RNN(1)=999.9                                                      EQVP0053
 14   RETURN                                                            EQVP0054
C                                                                       EQVP0055
 15   FORMAT (25H0WRONG CODE OF EQUIPOINT=,A1)                          EQVP0056
 16   FORMAT (22H0EQUIPOINT INCOMPLETE )                                EQVP0057
      END                                                               EQVP0058
      SUBROUTINE BURZ (ISYSTM,ISYMCE,IBRAVL,NG)                         BURZ0000
C-----ROUTINE TO INTERPRET HERMANN MAUGUIN SYMBOL FOR SPACE GROUP       BURZ0001
C-----THIS ROUTINE HAS BEEN ADAPTED FROM A PROGRAM SUPPLIED BY          BURZ0002
C-----PROF. BURZLAFF, UNIVERSITY OF ERLANGEN, GERMANY                   BURZ0003
      COMMON /BURC/ TS,SS                                               BURZ0004
      COMMON /ND/N3(20)                                                 BURZ0005
      COMMON /POSIT/ RN,RD,S1,S2,S3,NT                                  BURZ0006
      COMMON /UNITS/ NRD,NPT,ILU                                        BURZ0007
      INTEGER E(3,3),ZEI(3,4),SS(24,3,3),SYS                            BURZ0008
      DIMENSION NT(45), IBRA(7), NMA(3), SH(3)                          BURZ0009
      DIMENSION RN(3), RD(3), S1(3), S2(3), S3(3)                       BURZ0010
      DIMENSION TS(24,3), TE(3)                                         BURZ0011
      DIMENSION ISYS(7)                                                 BURZ0012
      DATA ISYS(1)/7/,ISYS(2)/1/,ISYS(3)/2/,ISYS(4)/4/,ISYS(5)/6/,ISYS(6BURZ0013
     1)/5/,ISYS(7)/3/                                                   BURZ0014
      DATA IBRA(1)/1HP/,IBRA(2)/1HA/,IBRA(3)/1HB/,IBRA(4)/1HC/,IBRA(5)/1BURZ0015
     1HF/,IBRA(6)/1HI/,IBRA(7)/1HR/,NMA/3*0/,SH/3*0.25/                 BURZ0016
 1    NBL=-1                                                            BURZ0017
      NG=1                                                              BURZ0018
      NS=1                                                              BURZ0019
      DO 2 I=1,24                                                       BURZ0020
      DO 2 J=1,3                                                        BURZ0021
      TS(I,J)=0.0                                                       BURZ0022
      DO 2 K=1,3                                                        BURZ0023
      E(J,K)=0                                                          BURZ0024
      SS(I,J,K)=0                                                       BURZ0025
 2    CONTINUE                                                          BURZ0026
      SS(1,1,1)=1                                                       BURZ0027
      SS(1,2,2)=1                                                       BURZ0028
      SS(1,3,3)=1                                                       BURZ0029
      DO 3 I=1,3                                                        BURZ0030
      TE(I)=0.0                                                         BURZ0031
      DO 3 J=1,4                                                        BURZ0032
 3    ZEI(I,J)=0                                                        BURZ0033
      DO 8 I=1,36                                                       BURZ0034
      KXK=NT(I)                                                         BURZ0035
      IF (KXK.NE.N3(17)) GO TO 4                                        BURZ0036
      NLQ=0                                                             BURZ0037
      IC=0                                                              BURZ0038
      GO TO 8                                                           BURZ0039
 4    IF (NBL.GE.0) GO TO 7                                             BURZ0040
      DO 5 J=1,7                                                        BURZ0041
      NBR=J                                                             BURZ0042
      IF (KXK.EQ.IBRA(J)) GO TO 6                                       BURZ0043
 5    CONTINUE                                                          BURZ0044
 6    NBL=0                                                             BURZ0045
      IBRAVL=KXK                                                        BURZ0046
      GO TO 8                                                           BURZ0047
 7    IF (NLQ.EQ.0) NBL=NBL+1                                           BURZ0048
      IC=IC+1                                                           BURZ0049
      ZEI(NBL,IC)=KXK                                                   BURZ0050
      NLQ=1                                                             BURZ0051
      IF (KXK.EQ.N3(15)) NS=0                                           BURZ0052
 8    CONTINUE                                                          BURZ0053
      DO 9 I=1,4                                                        BURZ0054
      IF (ZEI(2,I).NE.N3(3)) GO TO 9                                    BURZ0055
      SYS=6                                                             BURZ0056
      GO TO 15                                                          BURZ0057
 9    CONTINUE                                                          BURZ0058
      DO 11 I=1,4                                                       BURZ0059
      IF (ZEI(1,I).NE.N3(3).AND.ZEI(1,I).NE.N3(6)) GO TO 10             BURZ0060
      SYS=5                                                             BURZ0061
      GO TO 15                                                          BURZ0062
 10   IF (ZEI(1,I).NE.N3(4)) GO TO 11                                   BURZ0063
      SYS=4                                                             BURZ0064
      GO TO 15                                                          BURZ0065
 11   CONTINUE                                                          BURZ0066
      IF (NBL.GT.1) GO TO 14                                            BURZ0067
      IF (ZEI(1,1).NE.N3(1).AND.ZEI(1,1).NE.N3(16)) GO TO 12            BURZ0068
      SYS=1                                                             BURZ0069
      GO TO 15                                                          BURZ0070
 12   SYS=2                                                             BURZ0071
      DO 13 I=1,4                                                       BURZ0072
 13   ZEI(2,I)=ZEI(1,I)                                                 BURZ0073
      ZEI(1,1)=N3(1)                                                    BURZ0074
      ZEI(3,1)=N3(1)                                                    BURZ0075
 14   SYS=3                                                             BURZ0076
      IF (ZEI(1,1).EQ.N3(1).OR.ZEI(2,1).EQ.N3(1)) SYS=2                 BURZ0077
 15   GO TO (16,17,22,46,58,68), SYS                                    BURZ0078
C-----TRICLINIC                                                         BURZ0079
 16   IF (ZEI(1,1).EQ.N3(16)) NS=0                                      BURZ0080
      GO TO 76                                                          BURZ0081
C-----MONOCLINIC                                                        BURZ0082
 17   NG=2                                                              BURZ0083
      DO 18 I=1,3                                                       BURZ0084
 18   IF (ZEI(I,1).NE.N3(1)) IND=I                                      BURZ0085
      ID=1                                                              BURZ0086
      IF (ZEI(IND,1).EQ.N3(2)) ID=-1                                    BURZ0087
      DO 19 I=1,3                                                       BURZ0088
 19   SS(2,I,I)=SS(1,I,I)*ID                                            BURZ0089
      SS(2,IND,IND)=-SS(2,IND,IND)                                      BURZ0090
      DO 21 I=1,3                                                       BURZ0091
      IF (ZEI(I,1).EQ.N3(2).AND.ZEI(I,2).EQ.N3(1)) TS(2,I)=0.5          BURZ0092
      DO 21 J=1,4                                                       BURZ0093
      IF (ZEI(I,J).EQ.N3(7)) TS(2,1)=0.5                                BURZ0094
      IF (ZEI(I,J).EQ.N3(8)) TS(2,2)=0.5                                BURZ0095
      IF (ZEI(I,J).EQ.N3(9)) TS(2,3)=0.5                                BURZ0096
      IF (ZEI(I,J).EQ.N3(12)) GO TO 20                                  BURZ0097
      GO TO 21                                                          BURZ0098
 20   K=I+1                                                             BURZ0099
      IF (K.GT.3) K=K-3                                                 BURZ0100
      TS(2,K)=0.5                                                       BURZ0101
      TS(2,6-K-I)=0.5                                                   BURZ0102
 21   CONTINUE                                                          BURZ0103
      GO TO 76                                                          BURZ0104
C-----ORTHORHOMBIC                                                      BURZ0105
 22   NG=4                                                              BURZ0106
      IC=0                                                              BURZ0107
      IND=1                                                             BURZ0108
      IF (ZEI(1,1).NE.N3(2).AND.ZEI(2,1).NE.N3(2).AND.ZEI(3,1).NE.N3(2))BURZ0109
     1IND=-1                                                            BURZ0110
      IF (IND.EQ.-1) NS=0                                               BURZ0111
      DO 24 I=1,3                                                       BURZ0112
      ID=1                                                              BURZ0113
      IF (ZEI(I,1).EQ.N3(2)) ID=-1                                      BURZ0114
      DO 23 J=1,3                                                       BURZ0115
 23   SS(1+I,J,J)=SS(1,J,J)*ID*IND                                      BURZ0116
 24   SS(1+I,I,I)=-SS(1+I,I,I)                                          BURZ0117
      DO 28 I=1,3                                                       BURZ0118
      IF (ZEI(I,1).EQ.N3(2).AND.ZEI(I,2).EQ.N3(1)) TS(1+I,I)=0.5        BURZ0119
      DO 28 J=1,4                                                       BURZ0120
      IF (ZEI(I,J).EQ.N3(7)) TS(1+I,1)=0.5                              BURZ0121
      IF (ZEI(I,J).EQ.N3(8)) TS(1+I,2)=0.5                              BURZ0122
      IF (ZEI(I,J).EQ.N3(9)) TS(1+I,3)=0.5                              BURZ0123
      IF (ZEI(I,J).EQ.N3(12).OR.ZEI(I,J).EQ.N3(10)) GO TO 25            BURZ0124
      GO TO 28                                                          BURZ0125
 25   K=I+1                                                             BURZ0126
      IF (K.GT.3) K=K-3                                                 BURZ0127
      IF (ZEI(I,J).EQ.N3(10)) GO TO 26                                  BURZ0128
      TS(1+I,K)=0.5                                                     BURZ0129
      TS(1+I,6-K-I)=0.5                                                 BURZ0130
      GO TO 28                                                          BURZ0131
 26   IC=1                                                              BURZ0132
      IF (NS.EQ.1) GO TO 27                                             BURZ0133
      TS(1+I,K)=0.25                                                    BURZ0134
      TS(1+I,6-K-I)=0.25                                                BURZ0135
      GO TO 28                                                          BURZ0136
 27   TS(1+I,1)=0.25                                                    BURZ0137
      TS(1+I,2)=0.25                                                    BURZ0138
      TS(1+I,3)=0.25                                                    BURZ0139
 28   CONTINUE                                                          BURZ0140
      IF (IC.EQ.1) GO TO 76                                             BURZ0141
      IF (NS.EQ.1) GO TO 36                                             BURZ0142
      DO 29 I=1,3                                                       BURZ0143
      K=1+I                                                             BURZ0144
      IF (K.GT.3) K=K-3                                                 BURZ0145
      TC=TS(1+K,I)+TS(1+6-I-K,I)                                        BURZ0146
      IF (TC.EQ.1.0) TC=0.0                                             BURZ0147
 29   TS(1+I,I)=TC                                                      BURZ0148
C-----SPECIAL TREATMENT OF C M M A, C M C A, I M M A                    BURZ0149
      IF (NBR.EQ.1.OR.NBR.EQ.5) GO TO 76                                BURZ0150
      MA=0                                                              BURZ0151
      DO 31 I=1,3                                                       BURZ0152
      DO 30 J=1,4                                                       BURZ0153
 30   IF (ZEI(I,J).EQ.N3(11)) NMA(I)=1                                  BURZ0154
 31   MA=MA+NMA(I)                                                      BURZ0155
      IF (NBR.EQ.6.AND.MA.EQ.2) GO TO 33                                BURZ0156
      IF (MA.EQ.0.OR.MA.EQ.3.OR.NBR.EQ.6) GO TO 76                      BURZ0157
      DO 32 I=1,3                                                       BURZ0158
      IF (NMA(NBR-1).EQ.1) GO TO 76                                     BURZ0159
 32   SH(NBR-1)=0.                                                      BURZ0160
C-----ORIGIN SHIFT                                                      BURZ0161
 33   DO 35 I=1,NG                                                      BURZ0162
      DO 35 J=1,3                                                       BURZ0163
      DO 34 K=1,3                                                       BURZ0164
      ID=1                                                              BURZ0165
      IF (J.NE.K) ID=0                                                  BURZ0166
 34   TS(I,J)=TS(I,J)+(ID-SS(I,J,K))*SH(K)                              BURZ0167
      IF (TS(I,J).GT.1.) TS(I,J)=TS(I,J)-1.                             BURZ0168
 35   IF (TS(I,J).LT.1.0) TS(I,J)=TS(I,J)+1.                            BURZ0169
      GO TO 76                                                          BURZ0170
 36   IC=0                                                              BURZ0171
      DO 37 I=1,3                                                       BURZ0172
 37   IF (SS(1+I,1,1)*SS(1+I,2,2)*SS(1+I,3,3).EQ.-1) IC=1               BURZ0173
      IF (IC.EQ.1) GO TO 41                                             BURZ0174
      TC=TS(2,1)+TS(3,2)+TS(4,3)                                        BURZ0175
      IF (TC.EQ.0.0) GO TO 76                                           BURZ0176
      DO 40 I=1,3                                                       BURZ0177
      K=I+1                                                             BURZ0178
      IF (K.GT.3) K=K-3                                                 BURZ0179
      IF (TC.GT.0.5) GO TO 38                                           BURZ0180
      IF (TS(1+I,I).EQ.0.0) GO TO 40                                    BURZ0181
      M=I-1                                                             BURZ0182
      IF (M.EQ.0) M=M+3                                                 BURZ0183
      TS(1+M,I)=0.5                                                     BURZ0184
      GO TO 40                                                          BURZ0185
 38   IF (TC.GT.1.0) GO TO 39                                           BURZ0186
      IF (TS(1+I,I).NE.0.0) GO TO 40                                    BURZ0187
      L=K+1                                                             BURZ0188
      IF (L.GT.3) L=L-3                                                 BURZ0189
      TS(1+K,L)=0.5                                                     BURZ0190
      TS(1+L,K)=0.5                                                     BURZ0191
      GO TO 40                                                          BURZ0192
 39   TS(1+I,K)=0.5                                                     BURZ0193
 40   CONTINUE                                                          BURZ0194
      GO TO 76                                                          BURZ0195
 41   DO 42 I=1,3                                                       BURZ0196
 42   IF (SS(1+I,1,1)*SS(1+I,2,2)*SS(1+I,3,3).EQ.1) ID=I                BURZ0197
      DO 45 I=1,3                                                       BURZ0198
      TC=TS(2,I)+TS(3,I)+TS(4,I)                                        BURZ0199
      IF (TC.EQ.0.0.OR.TC.EQ.1.0) GO TO 45                              BURZ0200
      IF (ZEI(1,1).EQ.N3(11).AND.ZEI(2,1).EQ.N3(12).OR.ZEI(2,1).EQ.     BURZ0201
     1N3(11).AND.ZEI(3,1).EQ.N3(12).OR.ZEI(3,1).EQ.N3(11).AND.ZEI(1,1)  BURZ0202
     2.EQ.N3(12)) GO TO 44                                              BURZ0203
      DO 43 J=1,3                                                       BURZ0204
      IF (ID.EQ.J) GO TO 43                                             BURZ0205
      IF (TS(1+J,I).EQ.0.5) GO TO 43                                    BURZ0206
      TS(1+J,I)=0.5                                                     BURZ0207
 43   CONTINUE                                                          BURZ0208
      GO TO 45                                                          BURZ0209
 44   K=I-1                                                             BURZ0210
      IF (K.EQ.0) K=K+3                                                 BURZ0211
      TS(1+K,I)=0.5                                                     BURZ0212
 45   CONTINUE                                                          BURZ0213
      GO TO 76                                                          BURZ0214
C-----TETRAGONAL                                                        BURZ0215
 46   NG=4                                                              BURZ0216
      IF (NBL.EQ.3) NG=8                                                BURZ0217
      SS(2,1,2)=-1                                                      BURZ0218
      SS(2,2,1)=1                                                       BURZ0219
      SS(2,3,3)=1                                                       BURZ0220
      M=ZEI(1,1)                                                        BURZ0221
      N=ZEI(1,2)                                                        BURZ0222
      DO 47 I=1,3                                                       BURZ0223
      DO 47 J=1,3                                                       BURZ0224
 47   IF (M.EQ.N3(16)) SS(2,I,J)=-SS(2,I,J)                             BURZ0225
      IF (M.EQ.N3(16)) GO TO 50                                         BURZ0226
      IF (N.EQ.N3(1)) TS(2,3)=0.25                                      BURZ0227
      IF (N.EQ.N3(2)) TS(2,3)=0.5                                       BURZ0228
      IF (N.EQ.N3(3)) TS(2,3)=0.75                                      BURZ0229
      IF (ZEI(1,3).EQ.N3(12).OR.(ZEI(1,4).EQ.N3(12).AND.NBL.EQ.3))      BURZ0230
     1TS(2,1)=0.5                                                       BURZ0231
      IF ((ZEI(1,4).EQ.N3(12).AND.NBL.EQ.1).OR.(N.EQ.N3(1).AND.NS.EQ.1. BURZ0232
     1AND.NBR.EQ.6)) TS(2,2)=0.5                                        BURZ0233
      IF (N.EQ.N3(1).AND.NS.EQ.0.AND.NBR.EQ.6) GO TO 48                 BURZ0234
      IF (ZEI(2,2).EQ.N3(1).OR.(ZEI(1,4).NE.N3(12).AND.ZEI(2,1).EQ.     BURZ0235
     1N3(12).AND.ZEI(3,1).EQ.N3(11))) GO TO 49                          BURZ0236
      GO TO 50                                                          BURZ0237
 48   TS(2,1)=0.25                                                      BURZ0238
      TS(2,2)=0.75                                                      BURZ0239
      IF (NBL.EQ.1) TS(2,1)=0.75                                        BURZ0240
      IF (NBL.EQ.1) TS(2,2)=0.25                                        BURZ0241
      GO TO 50                                                          BURZ0242
 49   TS(2,1)=0.5                                                       BURZ0243
      TS(2,2)=0.5                                                       BURZ0244
 50   SS(3,1,1)=-1                                                      BURZ0245
      SS(3,2,2)=-1                                                      BURZ0246
      SS(3,3,3)=1                                                       BURZ0247
      TS(3,1)=SS(2,1,2)*TS(2,2)+TS(2,1)                                 BURZ0248
      TS(3,2)=SS(2,2,1)*TS(2,1)+TS(2,2)                                 BURZ0249
      TS(3,3)=SS(2,3,3)*TS(2,3)+TS(2,3)                                 BURZ0250
      DO 51 I=1,3                                                       BURZ0251
 51   IF (NBR.EQ.6.AND.TS(3,1).EQ.0.5.AND.TS(3,2).EQ.0.5.AND.TS(3,3).EQ.BURZ0252
     10.5) TS(3,I)=0.0                                                  BURZ0253
      DO 52 I=1,3                                                       BURZ0254
      TS(4,I)=TS(2,I)                                                   BURZ0255
      DO 52 J=1,3                                                       BURZ0256
      TS(4,I)=TS(4,I)+SS(2,I,J)*TS(3,J)                                 BURZ0257
      DO 52 K=1,3                                                       BURZ0258
 52   SS(4,I,J)=SS(4,I,J)+SS(2,I,K)*SS(3,K,J)                           BURZ0259
      IF (NBL.EQ.1) GO TO 76                                            BURZ0260
      IF (NS.EQ.0) GO TO 56                                             BURZ0261
      M=ZEI(2,1)                                                        BURZ0262
      N=ZEI(3,1)                                                        BURZ0263
      IF (M.NE.N3(2).AND.N.NE.N3(2)) GO TO 55                           BURZ0264
      IF (M.EQ.N3(2).AND.N.EQ.N3(2)) GO TO 54                           BURZ0265
      IF (M.EQ.N3(2)) GO TO 53                                          BURZ0266
      IF (M.EQ.N3(9).OR.M.EQ.N3(12)) TE(3)=0.5                          BURZ0267
      E(1,1)=-1                                                         BURZ0268
      E(2,2)=1                                                          BURZ0269
      E(3,3)=1                                                          BURZ0270
      IF (M.NE.N3(12).AND.M.NE.N3(8)) GO TO 57                          BURZ0271
      TE(1)=0.5                                                         BURZ0272
      TE(2)=0.5                                                         BURZ0273
      GO TO 57                                                          BURZ0274
 53   E(1,1)=1                                                          BURZ0275
      E(2,2)=-1                                                         BURZ0276
      E(3,3)=-1                                                         BURZ0277
      IF (N.EQ.N3(9)) TE(3)=0.5                                         BURZ0278
      IF (N.EQ.N3(10)) TE(3)=0.25                                       BURZ0279
      IF (N.EQ.N3(10)) TE(2)=0.5                                        BURZ0280
      IF (ZEI(2,2).NE.N3(1)) GO TO 57                                   BURZ0281
      TE(1)=0.5                                                         BURZ0282
      TE(2)=0.5                                                         BURZ0283
      GO TO 57                                                          BURZ0284
 54   E(1,2)=1                                                          BURZ0285
      E(2,1)=1                                                          BURZ0286
      E(3,3)=-1                                                         BURZ0287
      IF (ZEI(2,2).NE.0.OR.NBR.EQ.6.OR.ZEI(1,2).EQ.0) GO TO 57          BURZ0288
      IF (ZEI(1,2).EQ.N3(1)) TE(3)=0.75                                 BURZ0289
      IF (ZEI(1,2).EQ.N3(2)) TE(3)=0.5                                  BURZ0290
      IF (ZEI(1,2).EQ.N3(3)) TE(3)=0.25                                 BURZ0291
      GO TO 57                                                          BURZ0292
 55   M=ZEI(2,1)                                                        BURZ0293
      E(1,1)=-1                                                         BURZ0294
      E(2,2)=1                                                          BURZ0295
      E(3,3)=1                                                          BURZ0296
      IF (M.EQ.N3(9).OR.M.EQ.N3(12)) TE(3)=0.5                          BURZ0297
      IF (M.EQ.N3(12).OR.M.EQ.N3(8)) TE(1)=0.5                          BURZ0298
      IF (M.EQ.N3(12).OR.M.EQ.N3(8)) TE(2)=0.5                          BURZ0299
      GO TO 57                                                          BURZ0300
 56   E(1,1)=-1                                                         BURZ0301
      E(2,2)=1                                                          BURZ0302
      E(3,3)=1                                                          BURZ0303
      IF (ZEI(2,1).EQ.N3(9).OR.ZEI(2,1).EQ.N3(12)) TE(3)=0.5            BURZ0304
      IF (ZEI(2,1).EQ.N3(8).OR.ZEI(2,1).EQ.N3(12)) TE(2)=0.5            BURZ0305
      IF (ZEI(2,1).EQ.N3(8).OR.ZEI(2,1).EQ.N3(12)) TE(1)=0.5            BURZ0306
      IF (ZEI(1,3).EQ.N3(12).OR.ZEI(1,4).EQ.N3(12)) TE(1)=TE(1)+0.5     BURZ0307
 57   NE=4                                                              BURZ0308
      GO TO 74                                                          BURZ0309
C-----HEXAGONAL                                                         BURZ0310
 58   NG=3                                                              BURZ0311
      M=ZEI(1,1)                                                        BURZ0312
      N=ZEI(1,2)                                                        BURZ0313
      IF (M.EQ.N3(16).AND.N.EQ.N3(3)) NS=0                              BURZ0314
      IF (M.EQ.N3(6)) GO TO 61                                          BURZ0315
      SS(2,1,2)=-1                                                      BURZ0316
      SS(2,2,1)=1                                                       BURZ0317
      SS(2,2,2)=-1                                                      BURZ0318
      SS(2,3,3)=1                                                       BURZ0319
      IF (N.EQ.N3(1)) TS(2,3)=1.0/3.0                                   BURZ0320
      IF (N.EQ.N3(2)) TS(2,3)=2.0/3.0                                   BURZ0321
      SS(3,1,1)=-1                                                      BURZ0322
      SS(3,2,1)=-1                                                      BURZ0323
      SS(3,1,2)=1                                                       BURZ0324
      SS(3,3,3)=1                                                       BURZ0325
      TS(3,3)=2.0*TS(2,3)                                               BURZ0326
      IF (TS(3,3).GE.1.0) TS(3,3)=TS(3,3)-1.0                           BURZ0327
      IF (NBL.EQ.1.AND.N.NE.N3(6)) GO TO 76                             BURZ0328
      IF (N.NE.N3(6)) GO TO 60                                          BURZ0329
      NG=NG+NG                                                          BURZ0330
      DO 59 I=1,3                                                       BURZ0331
      DO 59 J=1,3                                                       BURZ0332
      DO 59 K=1,3                                                       BURZ0333
      SS(3+I,J,K)=SS(I,J,K)                                             BURZ0334
 59   SS(3+I,3,3)=-1                                                    BURZ0335
 60   IF (NBL.EQ.1) GO TO 76                                            BURZ0336
      IF (ZEI(2,1).NE.N3(9).AND.ZEI(3,1).NE.N3(9)) GO TO 63             BURZ0337
      TS(4,3)=0.5                                                       BURZ0338
      TS(5,3)=0.5                                                       BURZ0339
      TS(6,3)=0.5                                                       BURZ0340
      GO TO 63                                                          BURZ0341
 61   NG=NG+NG                                                          BURZ0342
      SS(2,1,1)=1                                                       BURZ0343
      SS(2,1,2)=-1                                                      BURZ0344
      SS(2,2,1)=1                                                       BURZ0345
      SS(2,3,3)=1                                                       BURZ0346
      IF (N.EQ.N3(1)) TS(2,3)=1.0/6.0                                   BURZ0347
      IF (N.EQ.N3(2)) TS(2,3)=2.0/6.0                                   BURZ0348
      IF (N.EQ.N3(3)) TS(2,3)=3.0/6.0                                   BURZ0349
      IF (N.EQ.N3(4)) TS(2,3)=4.0/6.0                                   BURZ0350
      IF (N.EQ.N3(5)) TS(2,3)=5.0/6.0                                   BURZ0351
      DO 62 I=1,4                                                       BURZ0352
      DO 62 J=1,3                                                       BURZ0353
      TS(2+I,J)=TS(2,J)                                                 BURZ0354
      DO 62 K=1,3                                                       BURZ0355
      TS(2+I,J)=TS(2+I,J)+SS(2,J,K)*TS(1+I,K)                           BURZ0356
      IF (TS(2+I,J).GT.1.0) TS(2+I,J)=TS(2+I,J)-1.0                     BURZ0357
      DO 62 L=1,3                                                       BURZ0358
 62   SS(2+I,J,K)=SS(2+I,J,K)+SS(2,J,L)*SS(1+I,L,K)                     BURZ0359
      IF (NBL.EQ.1) GO TO 76                                            BURZ0360
 63   NG=NG+NG                                                          BURZ0361
      M=ZEI(2,1)                                                        BURZ0362
      N=ZEI(3,1)                                                        BURZ0363
      IF (M.EQ.N3(1)) GO TO 65                                          BURZ0364
      IF (M.EQ.N3(2)) GO TO 64                                          BURZ0365
      E(1,2)=-1                                                         BURZ0366
      E(2,1)=-1                                                         BURZ0367
      E(3,3)=1                                                          BURZ0368
      IF (M.EQ.N3(9)) TE(3)=0.5                                         BURZ0369
      GO TO 67                                                          BURZ0370
 64   E(1,2)=1                                                          BURZ0371
      E(2,1)=1                                                          BURZ0372
      E(3,3)=-1                                                         BURZ0373
      TE(3)=2.0*TS(2,3)                                                 BURZ0374
C-----GROUP P 31 I 2 AND P 32 I 2                                       BURZ0375
      IF (ZEI(1,1).EQ.N3(3).AND.(ZEI(1,2).EQ.N3(1).OR.ZEI(1,2).EQ.      BURZ0376
     1N3(2))) TE(3)=0.                                                  BURZ0377
      GO TO 67                                                          BURZ0378
 65   IF (N.EQ.N3(2)) GO TO 66                                          BURZ0379
      E(1,2)=1                                                          BURZ0380
      E(2,1)=1                                                          BURZ0381
      E(3,3)=1                                                          BURZ0382
      IF (N.EQ.N3(9)) TE(3)=0.5                                         BURZ0383
      GO TO 67                                                          BURZ0384
 66   E(1,2)=-1                                                         BURZ0385
      E(2,1)=-1                                                         BURZ0386
      E(3,3)=-1                                                         BURZ0387
      TE(3)=2.0*TS(2,3)                                                 BURZ0388
      IF (TE(3).GT.1.0) TE(3)=TE(3)-1.0                                 BURZ0389
 67   NE=6                                                              BURZ0390
      IF (ZEI(1,1).EQ.N3(3).OR.(ZEI(1,2).EQ.N3(3).AND.ZEI(1,1).EQ.      BURZ0391
     1N3(16))) NE=3                                                     BURZ0392
      GO TO 74                                                          BURZ0393
C-----CUBIC                                                             BURZ0394
 68   NG=12                                                             BURZ0395
      IF (NBL.EQ.3) NG=24                                               BURZ0396
      IF (ZEI(1,1).NE.N3(2).AND.ZEI(1,1).NE.N3(4).AND.ZEI(1,1).NE.      BURZ0397
     1N3(16)) NS=0                                                      BURZ0398
      DO 69 I=1,3                                                       BURZ0399
      DO 69 J=1,3                                                       BURZ0400
      SS(1+I,J,J)=1                                                     BURZ0401
      IF (I.EQ.J) GO TO 69                                              BURZ0402
      SS(1+I,J,J)=-1                                                    BURZ0403
      IF (ZEI(1,1).EQ.N3(12)) TS(1+I,J)=0.5                             BURZ0404
      IF (ZEI(1,1).EQ.N3(10)) TS(1+I,J)=0.25                            BURZ0405
 69   CONTINUE                                                          BURZ0406
      IF (ZEI(1,1).NE.N3(7).AND.ZEI(3,1).NE.N3(10).AND.ZEI(1,2).NE.N3(3)BURZ0407
     1.AND.ZEI(1,2).NE.N3(1).OR.NBR.EQ.5) GO TO 71                      BURZ0408
      DO 70 I=1,3                                                       BURZ0409
      TS(1+I,I)=0.5                                                     BURZ0410
      K=I+1                                                             BURZ0411
      IF (K.EQ.4) K=1                                                   BURZ0412
 70   TS(1+I,K)=0.5                                                     BURZ0413
 71   DO 72 I=1,4                                                       BURZ0414
      DO 72 J=1,3                                                       BURZ0415
      DO 72 K=1,3                                                       BURZ0416
      L=J+1                                                             BURZ0417
      IF (L.EQ.4) L=1                                                   BURZ0418
      M=J-1                                                             BURZ0419
      IF (M.EQ.0) M=3                                                   BURZ0420
      SS(4+I,J,K)=SS(I,L,K)                                             BURZ0421
      SS(8+I,J,K)=SS(I,M,K)                                             BURZ0422
      TS(4+I,J)=TS(I,L)                                                 BURZ0423
 72   TS(8+I,J)=TS(I,M)                                                 BURZ0424
      IF (NG.EQ.12) GO TO 76                                            BURZ0425
      NE=12                                                             BURZ0426
      E(1,2)=1                                                          BURZ0427
      E(2,1)=1                                                          BURZ0428
      E(3,3)=1                                                          BURZ0429
      IF (ZEI(3,1).EQ.N3(2)) E(3,3)=-1                                  BURZ0430
      IF (ZEI(3,1).EQ.N3(9)) TE(3)=0.5                                  BURZ0431
      DO 73 I=1,3                                                       BURZ0432
      IF (ZEI(3,1).EQ.N3(12).OR.ZEI(1,2).EQ.N3(2)) TE(I)=0.5            BURZ0433
 73   IF (ZEI(3,1).EQ.N3(10).OR.ZEI(1,2).EQ.N3(1).OR.ZEI(1,2).EQ.N3(3)) BURZ0434
     1TE(I)=0.25                                                        BURZ0435
      IF (ZEI(1,2).EQ.N3(1).AND.NBR.EQ.1) TE(1)=0.75                    BURZ0436
      IF ((ZEI(1,2).NE.N3(1).OR.NBR.NE.6).AND.(ZEI(1,2).NE.N3(3).OR.NBR BURZ0437
     1.NE.1)) GO TO 74                                                  BURZ0438
      TE(2)=0.75                                                        BURZ0439
      TE(3)=0.75                                                        BURZ0440
 74   DO 75 I=1,NE                                                      BURZ0441
      DO 75 J=1,3                                                       BURZ0442
      TS(NE+I,J)=TE(J)                                                  BURZ0443
      DO 75 K=1,3                                                       BURZ0444
      TS(NE+I,J)=TS(NE+I,J)+E(J,K)*TS(I,K)                              BURZ0445
      DO 75 L=1,3                                                       BURZ0446
 75   SS(NE+I,J,K)=SS(NE+I,J,K)+E(J,L)*SS(I,L,K)                        BURZ0447
 76   DO 81 I=1,NG                                                      BURZ0448
      DO 81 J=1,3                                                       BURZ0449
 77   IF (TS(I,J).GE.1.0) GO TO 78                                      BURZ0450
      GO TO 79                                                          BURZ0451
 78   TS(I,J)=TS(I,J)-1.0                                               BURZ0452
      GO TO 77                                                          BURZ0453
 79   IF (TS(I,J).LT.0.0) GO TO 80                                      BURZ0454
      GO TO 81                                                          BURZ0455
 80   TS(I,J)=TS(I,J)+1.0                                               BURZ0456
      GO TO 79                                                          BURZ0457
 81   CONTINUE                                                          BURZ0458
      ISYSTM=ISYS(SYS)                                                  BURZ0459
      IF (NS.EQ.0) ISYMCE=1                                             BURZ0460
      IF (NS.EQ.1) ISYMCE=0                                             BURZ0461
      RETURN                                                            BURZ0462
      END                                                               BURZ0463
      SUBROUTINE EXTINC (ISYMCE,NS)                                     EXTI0000
C-----FINDS EXTINCTIONS, LAUE GROUP AND HEXAGONAL SYMMETRY INDICATOR    EXTI0001
      COMMON /EXTI/ IHOO,IOKO,IOOL,IHKO,IHOL,IOKL,IHHL,ILAU,ITRIG       EXTI0002
      COMMON /EQUO/ TS,FS                                               EXTI0003
      COMMON /UNITS/ NRD,NPT,ILU                                        EXTI0004
      DIMENSION TS(3,24), FS(3,3,24)                                    EXTI0005
      ILAU=1                                                            EXTI0006
      Q1=1./3.                                                          EXTI0007
      Q2=1./6.                                                          EXTI0008
      Q3=2./3.                                                          EXTI0009
      Q4=5./6.                                                          EXTI0010
      DO 2 I=1,NS                                                       EXTI0011
      POIN=0.                                                           EXTI0012
      R=TS(1,I)                                                         EXTI0013
      S=TS(2,I)                                                         EXTI0014
      T=TS(3,I)                                                         EXTI0015
      X=FS(1,1,I)*10.+FS(2,1,I)*50.+FS(3,1,I)*100.                      EXTI0016
      Y=FS(1,2,I)*10.+FS(2,2,I)*50.+FS(3,2,I)*100.                      EXTI0017
      Z=FS(1,3,I)*10.+FS(2,3,I)*50.+FS(3,3,I)*100.                      EXTI0018
      XO=ABS(X)                                                         EXTI0019
      YO=ABS(Y)                                                         EXTI0020
      ZO=ABS(Z)                                                         EXTI0021
      IF ((R.EQ..5).AND.(XO.EQ.10.)) IHOO=2                             EXTI0022
      IF ((S.EQ..5).AND.(YO.EQ.50.)) IOKO=2                             EXTI0023
      IF (IOOL.GT.3) GO TO 1                                            EXTI0024
      IF ((T.EQ..5).AND.(ZO.EQ.100.)) IOOL=2                            EXTI0025
      IF ((T.EQ.Q2).OR.(T.EQ.Q4)) IOOL=6                                EXTI0026
      IF ((T.EQ.Q1).OR.(T.EQ.Q3)) IOOL=3                                EXTI0027
      IF ((T.EQ..25).OR.(T.EQ..75)) IOOL=4                              EXTI0028
 1    IF ((X.EQ.50.).AND.(Y.EQ.10.)) ILAU=2                             EXTI0029
      IF ((X.EQ.-50.00).AND.(Y.EQ.-10.00)) ILAU=2                       EXTI0030
      IF ((X.EQ.-40.).AND.(Y.EQ.10.).AND.(Z.EQ.100.)) ITRIG=6           EXTI0031
      IF ((X.EQ.40.00).AND.(Y.EQ.-10.00).AND.(Z.EQ.-100.00)) ITRIG=6    EXTI0032
      IF (((S.EQ..25).OR.(S.EQ..75)).AND.(YO.EQ.50.)) IOKO=4            EXTI0033
      IF (((R.EQ..25).OR.(R.EQ..75)).AND.(XO.EQ.10.)) IHOO=4            EXTI0034
      X=X+R                                                             EXTI0035
      Y=Y+S                                                             EXTI0036
      Z=Z+T                                                             EXTI0037
      IF ((X.EQ.10.5).AND.(Y.EQ.50.5)) IHKO=2                           EXTI0038
      IF ((X.EQ.10.0).AND.(Y.EQ.50.5)) IHKO=3                           EXTI0039
      IF ((X.EQ.10.25).AND.(Y.EQ.50.25)) IHKO=4                         EXTI0040
      IF ((X.EQ.10.75).AND.(Y.EQ.50.75)) IHKO=4                         EXTI0041
      IF ((X.EQ.10.50).AND.(Y.EQ.50.00)) IHKO=5                         EXTI0042
      IF ((Y.EQ.50.50).AND.(Z.EQ.100.50)) IOKL=2                        EXTI0043
      IF ((Y.EQ.50.00).AND.(Z.EQ.100.50)) IOKL=3                        EXTI0044
      IF ((Y.EQ.50.25).AND.(Z.EQ.100.25)) IOKL=4                        EXTI0045
      IF ((Y.EQ.50.75).AND.(Z.EQ.100.75)) IOKL=4                        EXTI0046
      IF ((Y.EQ.50.50).AND.(Z.EQ.100.00)) IOKL=5                        EXTI0047
      IF ((X.EQ.10.5).AND.(Z.EQ.100.50)) IHOL=2                         EXTI0048
      IF ((X.EQ.10.0).AND.(Z.EQ.100.50)) IHOL=3                         EXTI0049
      IF ((X.EQ.10.25).AND.(Z.EQ.100.25)) IHOL=4                        EXTI0050
      IF ((X.EQ.10.75).AND.(Z.EQ.100.75)) IHOL=4                        EXTI0051
      IF ((X.EQ.10.5).AND.(Z.EQ.100.0)) IHOL=5                          EXTI0052
      IF ((X.EQ.50.50).AND.(Y.EQ.10.5).AND.(Z.EQ.100.50)) IHHL=2        EXTI0053
      IF ((X.EQ.50.00).AND.(Y.EQ.10.0).AND.(Z.EQ.100.50)) IHHL=2        EXTI0054
      IF ((X.EQ.50.00).AND.(Y.EQ.10.00).AND.(Z.EQ.100.50)) IHHL=2       EXTI0055
      IF ((X.EQ.50.00).AND.(Y.EQ.10.5).AND.(Z.EQ.100.25)) IHHL=3        EXTI0056
      IF ((X.EQ.50.00).AND.(Y.EQ.10.5).AND.(Z.EQ.100.75)) IHHL=3        EXTI0057
      IF ((X.EQ.50.75).AND.(Y.EQ.10.75).AND.(Z.EQ.100.75)) IHHL=3       EXTI0058
      IF ((X.EQ.50.75).AND.(Y.EQ.10.75).AND.(Z.EQ.100.25)) IHHL=3       EXTI0059
      IF ((X.EQ.50.25).AND.(Y.EQ.10.25).AND.(Z.EQ.100.25)) IHHL=3       EXTI0060
C-----CHECK CENTROSYMMETRIC POSITION                                    EXTI0061
      IF (ISYMCE.EQ.0) GO TO 2                                          EXTI0062
      IF (POIN.EQ.-1.) GO TO 2                                          EXTI0063
      POIN=-1.                                                          EXTI0064
      X=-X+R                                                            EXTI0065
      Y=-Y+S                                                            EXTI0066
      Z=-Z+T                                                            EXTI0067
      IF (R.NE.0.) R=1.-R                                               EXTI0068
      IF (S.NE.0.) S=1.-S                                               EXTI0069
      IF (T.NE.0.) T=1.-T                                               EXTI0070
      GO TO 1                                                           EXTI0071
 2    CONTINUE                                                          EXTI0072
      RETURN                                                            EXTI0073
      END                                                               EXTI0074
      SUBROUTINE MULTF                                                  MULT0000
C-----CALCULATES MULTIPLICITIES OF SPECIAL POSITIONS                    MULT0001
      DIMENSION COMPND(19), IELMT(8), X(99,8), Y(99,8), Z(99,8), FOCCU(9MULT0002
     19,8), FMULT(99,8), FNEUT(8), NA(8), TS(3,24), FS(3,3,24), BTEMP(99MULT0003
     2,8), DELFR(8), DELFI(8), B1(3,9), TSB(3), XYZ(3), XYZ1(3)         MULT0004
      COMMON /INPUT/ COMPND,IELMT,X,Y,Z,FOCCU,FMULT,FNEUT,A,B,C,ALPHA,BEMULT0005
     1TA,GAMMA,SYMSY,SYMBR,ISYMCE,NCOMPO,NA,SYMWL,WL,SL,SH,NORM,IMAGE,SYMULT0006
     2MLP,AGUIN,BGUIN,BTEMP,DELFR,DELFI,IANO,NS,IBRAVL                  MULT0007
      COMMON /EQUO/ TS,FS                                               MULT0008
      COMMON /UNITS/ ICR,IPR,ILU                                        MULT0009
      DATA B1(1,1)/0./,B1(2,1)/0./,B1(3,1)/0./,B1(1,2)/0.5/,B1(2,2)/0.5/MULT0010
     1,B1(3,2)/0.5/,B1(1,3)/0.66667/,B1(2,3)/0.33333/,B1(3,3)/0.33333/,BMULT0011
     21(1,4)/0.5/,B1(2,4)/0.5/,B1(3,4)/0./,B1(1,5)/0./,B1(2,5)/0.5/,B1(3MULT0012
     3,5)/0.5/,B1(1,6)/0.5/,B1(2,6)/0./,B1(3,6)/0.5/,B1(1,7)/0.5/,B1(2,7MULT0013
     4)/0.5/,B1(3,7)/0.0/,B1(1,8)/0.33333/,B1(2,8)/0.66667/,B1(3,8)/0.66MULT0014
     5667/                                                              MULT0015
      NBRA=1                                                            MULT0016
      IF (IBRAVL.GT.1) NBRA=2                                           MULT0017
      IF (IBRAVL.EQ.3) NBRA=3                                           MULT0018
      IF (IBRAVL.EQ.4) NBRA=4                                           MULT0019
C-----LOOP OVER ATOMKINDS                                               MULT0020
      DO 7 IC=1,NCOMPO                                                  MULT0021
      NATOM=NA(IC)                                                      MULT0022
C-----LOOP OVER ATOMS OF ONE KIND                                       MULT0023
      DO 6 IA=1,NATOM                                                   MULT0024
      XYZ1(1)=X(IA,IC)                                                  MULT0025
      XYZ1(2)=Y(IA,IC)                                                  MULT0026
      XYZ1(3)=Z(IA,IC)                                                  MULT0027
C-----MAKE COORDINATES POSITIVE                                         MULT0028
      DO 1 I=1,3                                                        MULT0029
 1    IF (XYZ1(I).LT.0.) XYZ1(I)=XYZ1(I)+1.                             MULT0030
      FMULT(IA,IC)=0.                                                   MULT0031
C-----LOOP OVER EQUIVALENT POSITIONS                                    MULT0032
      DO 4 J=1,NS                                                       MULT0033
C-----LOOP OVER BRAVAIS LATTICE POINTS                                  MULT0034
      DO 4 NB=1,NBRA                                                    MULT0035
      ANTI=1.                                                           MULT0036
 2    DIF=0.                                                            MULT0037
C-----CALCULATE ATOM COORDINATES                                        MULT0038
      DO 3 I=1,3                                                        MULT0039
      XYZ(I)=ANTI*(TS(I,J)+FS(1,I,J)*XYZ1(1)+FS(2,I,J)*XYZ1(2)+FS(3,I,J)MULT0040
     1*XYZ1(3)) +0.00001                                                MULT0041
      IF (NB.EQ.1) TSB(I)=B1(I,1)                                       MULT0042
      IF (NB.EQ.2) TSB(I)=B1(I,IBRAVL)                                  MULT0043
      IF (NB.EQ.4) TSB(I)=B1(I,6)                                       MULT0044
      IF ((NB.EQ.3).AND.(IBRAVL.EQ.3)) TSB(I)=B1(I,8)                   MULT0045
      IF ((NB.EQ.3).AND.(IBRAVL.EQ.4)) TSB(I)=B1(I,5)                   MULT0046
C-----ADD BRAVAIS LATTICE VECTORS                                       MULT0047
      XYZ(I)=XYZ(I)+TSB(I)                                              MULT0048
C-----MAKE COORDINATES POSITIVE AND LESS THAN 1.                        MULT0049
      IF (XYZ(I).GE.1.) XYZ(I)=XYZ(I)-1.                                MULT0050
      IF (XYZ(I).LT.-1.) XYZ(I)=XYZ(I)+1.                               MULT0051
      IF (XYZ(I).LT.0.) XYZ(I)=XYZ(I)+1.                                MULT0052
C-----CALCULATE NUMBER FMULT OF COINCIDING ATOMS                        MULT0053
 3    CONTINUE                                                          MULT0054
      DIF=XYZ(1)-XYZ1(1)                                                MULT0055
      DIF=ABS(DIF)                                                      MULT0056
      DIF1=XYZ(2)-XYZ1(2)                                               MULT0057
      DIF1=ABS(DIF1)                                                    MULT0058
      DIF=DIF+DIF1                                                      MULT0059
      DIF1=XYZ(3)-XYZ1(3)                                               MULT0060
      DIF1=ABS(DIF1)                                                    MULT0061
      DIF=DIF+DIF1                                                      MULT0062
      IF (DIF.LT..001) FMULT(IA,IC)=FMULT(IA,IC)+1.                     MULT0063
C-----CHECK CENTROSYMMETRICALLY RELATED ATOMS                           MULT0064
      IF (ISYMCE.NE.1) GO TO 4                                          MULT0065
      IF (ANTI.EQ.-1.) GO TO 4                                          MULT0066
      ANTI=-1.                                                          MULT0067
      GO TO 2                                                           MULT0068
 4    CONTINUE                                                          MULT0069
      IF (FMULT(IA,IC).NE.0.) GO TO 5                                   MULT0070
      A=-1.                                                             MULT0071
      WRITE (IPR,8) IA,IC                                               MULT0072
 5    FMULT(IA,IC)=1./FMULT(IA,IC)                                      MULT0073
 6    CONTINUE                                                          MULT0074
 7    CONTINUE                                                          MULT0075
      RETURN                                                            MULT0076
C                                                                       MULT0077
 8    FORMAT (22H WRONG MULTIPLICITY OF,I5,16H TH ATOM OF TYPE,I5,43H CHMULT0078
     1ECK COORDINATES AND EQUIVALENT POSITIONS)                         MULT0079
      END                                                               MULT0080
      SUBROUTINE FSC (ELEMT,MN)                                         FSC00001
C-----RETRIEVES THE COEFFICIENTS FOR THE ATOMIC SCATTERING FUNCTIONS    FSC00101
C-----COMPILED BY CROMER AND MANN   FOR THE MN TH ELEMENT ELEMT         FSC00201
C-----AND STORES THEM IN COMMON SCAT                                    FSC00301
      DIMENSION A(1926)                                                 FSC00401
      DIMENSION FA(4,8), FB(4,8), FC(8)                                 FSC00501
      COMMON /SK/ A                                                     FSC00601
      COMMON /SCAT/ FA,FB,FC                                            FSC00701
      INTEGER ELEMT                                                     FSC00801
      M=MN                                                              FSC00901
C-----RETRIEVE SEQUENCE NUMBER OF ATOM TYPE                             FSC01001
      CALL SYMBF (ELEMT,IELMT)                                          FSC01101
      IS=IELMT*9-8                                                      FSC01201
      IF ((IS.GT.0).AND.(IS.LT.1944)) GO TO 1                           FSC01301
      FC(M)=999.9                                                       FSC01401
      RETURN                                                            FSC01501
 1    DO 2 I=1,4                                                        FSC01601
      FA(I,M)=A(IS)                                                     FSC01701
      FB(I,M)=A(IS+1)                                                   FSC01801
      IS=IS+2                                                           FSC01901
 2    CONTINUE                                                          FSC02001
      FC(M)=A(IS)                                                       FSC02101
      RETURN                                                            FSC02201
      END                                                               FSC02301
      SUBROUTINE SYMBF (ASYMB,IELMT)                                    SYMB0000
C-----FINDS THE SEQUENCE NUMBER IELMT OF ELEMENT ASYMB AMONG ELEMENTS   SYMB0001
C-----FOR WHICH SCATTERING CURVES EXIST IN ROUTINE CONFS                SYMB0002
      COMMON /UNITS/ ICR,IPR,ILU                                        SYMB0003
      DIMENSION S(214)                                                  SYMB0004
      INTEGER S,ASYMB                                                   SYMB0005
      DATA S(1)/4HH   /,S(2)/4HH.  /,S(3)/4HH1- /,S(4)/4HHE  /,S(5)/4HLISYMB0006
     1  /,S(6)/4HLI1+/,S(7)/4HBE  /,S(8)/4HBE2+/,S(9)/4HB   /,S(10)/4HC SYMB0007
     2  /,S(11)/4HC.  /,S(12)/4HN   /,S(13)/4HO   /,S(14)/4HO1- /,S(15)/SYMB0008
     34HF   /,S(16)/4HF1- /,S(17)/4HNE  /,S(18)/4HNA  /,S(19)/4HNA1+/,S(SYMB0009
     420)/4HMG  /,S(21)/4HMG2+/,S(22)/4HAL  /,S(23)/4HAL3+/,S(24)/4HSI  SYMB0010
     5/,S(25)/4HSI. /,S(26)/4HSI4+/,S(27)/4HS   /,S(28)/4HP   /,S(29)/4HSYMB0011
     6CL  /,S(30)/4HCL1-/,S(31)/4HAR  /,S(32)/4HK   /,S(33)/4HK1+ /,S(34SYMB0012
     7)/4HCA  /,S(35)/4HCA2+/,S(36)/4HSC  /,S(37)/4HSC3+/,S(38)/4HTI  /,SYMB0013
     8S(39)/4HTI2+/,S(40)/4HTI3+/                                       SYMB0014
      DATA S(41)/4HTI4+/,S(42)/4HV   /,S(43)/4HV2+ /,S(44)/4HV3+ /,S(45)SYMB0015
     1/4HV5+ /,S(46)/4HCR  /,S(47)/4HCR2+/,S(48)/4HCR3+/,S(49)/4HMN  /,SSYMB0016
     2(50)/4HMN2+/,S(51)/4HMN3+/,S(52)/4HMN4+/,S(53)/4HFE  /,S(54)/4HFE+SYMB0017
     32/,S(55)/4HFE3+/,S(56)/4HCO  /,S(57)/4HCO2+/,S(58)/4HCO3+/,S(59)/4SYMB0018
     4HNI  /,S(60)/4HNI2+/,S(61)/4HNI3+/,S(62)/4HCU  /,S(63)/4HCU1+/,S(6SYMB0019
     54)/4HCU2+/,S(65)/4HZN  /,S(66)/4HZN2+/,S(67)/4HGA  /,S(68)/4HGA3+/SYMB0020
     6,S(69)/4HGE  /,S(70)/4HGE4+/,S(71)/4HAS  /,S(72)/4HSE  /,S(73)/4HBSYMB0021
     7R  /,S(74)/4HBR1-/,S(75)/4HKR  /,S(76)/4HRB  /,S(77)/4HRB1+/,S(78)SYMB0022
     8/4HSR  /,S(79)/4HSR2+/,S(80)/4HY   /                              SYMB0023
      DATA S(81)/4HY3+ /,S(82)/4HZR  /,S(83)/4HZR4+/,S(84)/4HNB  /,S(85)SYMB0024
     1/4HNB3+/,S(86)/4HNB5+/,S(87)/4HMO  /,S(88)/4HMO3+/,S(89)/4HMO5+/,SSYMB0025
     2(90)/4HMO6+/,S(91)/4HTC  /,S(92)/4HRU  /,S(93)/4HRU3+/,S(94)/4HRU+SYMB0026
     34/,S(95)/4HRH  /,S(96)/4HRH3+/,S(97)/4HRH4+/,S(98)/4HPD  /,S(99)/4SYMB0027
     4HPD2+/,S(100)/4HPD4+/,S(101)/4HAG  /,S(102)/4HAG1+/,S(103)/4HAG2+/SYMB0028
     5,S(104)/4HCD  /,S(105)/4HCD2+/,S(106)/4HIN  /,S(107)/4HIN3+/,S(108SYMB0029
     6)/4HSN  /,S(109)/4HSN2+/,S(110)/4HSN4+/,S(111)/4HSB  /,S(112)/4HSBSYMB0030
     73+/,S(113)/4HSB5+/,S(114)/4HTE  /,S(115)/4HI   /,S(116)/4HI1- /,S(SYMB0031
     8117)/4HXE  /,S(118)/4HCS  /,S(119)/4HCS1+/,S(120)/4HBA  /         SYMB0032
      DATA S(121)/4HBA2+/,S(122)/4HLA  /,S(123)/4HLA3+/,S(124)/4HCE  /,SSYMB0033
     1(125)/4HCE3+/,S(126)/4HCE4+/,S(127)/4HPR  /,S(128)/4HPR3+/,S(129)/SYMB0034
     24HPR4+/,S(130)/4HND  /,S(131)/4HND3+/,S(132)/4HPM  /,S(133)/4HPM3+SYMB0035
     3/,S(134)/4HSM  /,S(135)/4HSM3+/,S(136)/4HEU  /,S(137)/4HEU2+/,S(13SYMB0036
     48)/4HEU3+/,S(139)/4HGD  /,S(140)/4HGD3+/,S(141)/4HTB  /,S(142)/4HTSYMB0037
     5B3+/,S(143)/4HDY  /,S(144)/4HDY3+/,S(145)/4HHO  /,S(146)/4HHO3+/,SSYMB0038
     6(147)/4HER  /,S(148)/4HER3+/,S(149)/4HTM  /,S(150)/4HTM3+/,S(151)/SYMB0039
     74HYB  /,S(152)/4HYB2+/,S(153)/4HYB3+/,S(154)/4HLU  /,S(155)/4HLU3+SYMB0040
     8/,S(156)/4HHF  /,S(157)/4HHF4+/,S(158)/4HTA  /,S(159)/4HTA5+/,S(16SYMB0041
     90)/4HW   /                                                        SYMB0042
      DATA S(161)/4HW6+ /,S(162)/4HRE  /,S(163)/4HOS  /,S(164)/4HOS4+/,SSYMB0043
     1(165)/4HIR  /,S(166)/4HIR3+/,S(167)/4HIR4+/,S(168)/4HPT  /,S(169)/SYMB0044
     24HPT2+/,S(170)/4HPT4+/,S(171)/4HAU  /,S(172)/4HAU1+/,S(173)/4HAU3+SYMB0045
     3/,S(174)/4HHG  /,S(175)/4HHG1+/,S(176)/4HHG2+/,S(177)/4HTL  /,S(17SYMB0046
     48)/4HTL1+/,S(179)/4HTL3+/,S(180)/4HPB  /,S(181)/4HPB2+/,S(182)/4HPSYMB0047
     5B4+/,S(183)/4HBI  /,S(184)/4HBI3+/,S(185)/4HBI5+/,S(186)/4HPO  /,SSYMB0048
     6(187)/4HAT  /,S(188)/4HRN  /,S(189)/4HFR  /,S(190)/4HRA  /,S(191)/SYMB0049
     74HRA2+/,S(192)/4HAC  /,S(193)/4HAC3+/,S(194)/4HTH  /,S(195)/4HTH4+SYMB0050
     8/,S(196)/4HPA  /,S(197)/4HU   /,S(198)/4HU3+ /,S(199)/4HU4+ /,S(20SYMB0051
     90)/4HU6+ /                                                        SYMB0052
      DATA S(201)/4HNP  /,S(202)/4HNP3+/,S(203)/4HNP4+/,S(204)/4HNP6+/,SSYMB0053
     1(205)/4HPU  /,S(206)/4HPU3+/,S(207)/4HPU4+/,S(208)/4HPU6+/,S(209)/SYMB0054
     24HAM  /,S(210)/4HCM  /,S(211)/4HBK  /,S(212)/4HCF  /,             SYMB0055
     3S(213)/4HO2-./,S(214)/4H    /                                     SYMB0056
      DO 1 I=1,214                                                      SYMB0057
      IF (ASYMB-S(I)) 1,2,1                                             SYMB0058
 1    CONTINUE                                                          SYMB0059
      WRITE (IPR,3) ASYMB                                               SYMB0060
      I=0                                                               SYMB0061
 2    IELMT=I                                                           SYMB0062
      RETURN                                                            SYMB0063
C                                                                       SYMB0064
 3    FORMAT (46H NO SCATTERING FACTOR TABLES EXIST FOR ELEMENT,A4)     SYMB0065
      END                                                               SYMB0066
      BLOCK DATA                                                        CONF0000
C-----CONTAINS SCATTERING FACTOR CONSTANTS BY CROMER AND MANN AS LISTED CONF0001
C-----IN THE INTERNATIONAL TABLES FOR X RAY CRYSTALLOGRAPHY VOL 4       CONF0002
C-CDC-THIS LARGE ROUTINE MAY HAVE TO BE SPLIT INTO SMALLER ONES         CONF0003
C-----FIRST PART                                                        CONF0004
      COMMON /SK/ AA(1926)                                              CONF0005
      REAL I,J,K,L,M,N                                                  CONF0006
      EQUIVALENCE (AA(1),A(1)), (AA(73),B(1)), (AA(145),C(1)), (AA(217),CONF0007
     1D(1)), (AA(289),E(1)), (AA(361),F(1)), (AA(433),G(1)),   (AA(505),CONF0008
     2H(1)), (AA(577),I(1)), (AA(649),J(1)), (AA(721),K(1)),   (AA(793),CONF0009
     3L(1)), (AA(865),M(1)), (AA(937),N(1)), (AA(1009),O(1)), (AA(1081),CONF0010
     4P(1)), (AA(1153),Q(1)), (AA(1225),R(1)), (AA(1297),S(1)),         CONF0011
     5(AA(1369),T(1)), (AA(1441),U(1)), (AA(1513),V(1)),      (AA(1585),CONF0012
     6W(1)), (AA(1657),X(1)), (AA(1729),Y(1)), (AA(1801),Z(1)),         CONF0013
     7(AA(1873),Z1(1))                                                  CONF0014
      DIMENSION A(72), B(72), C(72), D(72), E(72) ,F(72), G(72), H(72), CONF0015
     1I(72), J(72), K(72), L(72), M(72), N(72), O(72), P(72), Q(72),    CONF0016
     2R(72), S(72), T(72), U(72), V(72), W(72), X(72), Y(72), Z(72),    CONF0017
     3Z1(54)                                                            CONF0018
      DATA A(1)/.493002/,A(2)/10.5109/,A(3)/.322912/,A(4)/26.1257/,A(5)/CONF0019
     1.140191/,A(6)/3.14236/,A(7)/.040810/,A(8)/57.7997/,A(9)/.003038/,ACONF0020
     2(10)/.489918/,A(11)/20.6593/,A(12)/.262003/,A(13)/7.74039/,A(14)/.CONF0021
     3196767/,A(15)/49.5519/,A(16)/.049879/,A(17)/2.20159/,A(18)/.001305CONF0022
     4/,A(19)/.897661/,A(20)/53.1368/,A(21)/.565616/,A(22)/15.1870/,A(23CONF0023
     5)/.415815/,A(24)/186.576/,A(25)/.116973/,A(26)/3.56709/,A(27)/.002CONF0024
     6389/,A(28)/.8734/,A(29)/9.1037/,A(30)/.6309/,A(31)/3.3568/,A(32)/.CONF0025
     73112/,A(33)/22.9276/,A(34)/.1780/,A(35)/.9821/,A(36)/.0064/,A(37)/CONF0026
     81.1282/,A(38)/3.9546/,A(39)/.7508/,A(40)/1.0524/,A(41)/.6175/,A(42CONF0027
     9)/85.3905/,A(43)/.4653/,A(44)/168.261/,A(45)/.0377/,A(46)/.6968/,ACONF0028
     $(47)/4.6237/,A(48)/.7888/,A(49)/1.9557/,A(50)/.3414/,A(51)/.6316/,CONF0029
     $A(52)/.1563/,A(53)/10.0953/,A(54)/.0167/,A(55)/1.5919/,A(56)/43.64CONF0030
     $27/,A(57)/1.1278/,A(58)/1.8623/,A(59)/.5391/,A(60)/103.483/,A(61)/CONF0031
     $.7029/,A(62)/.5420/,A(63)/.0385/,A(64)/6.2603/,A(65)/.0027/,A(66)/CONF0032
     $.8849/,A(67)/.8313/,A(68)/.7993/,A(69)/2.2758/,A(70)/.1647/,A(71)/CONF0033
     $5.1146/,A(72)/-6.1092/                                            CONF0034
      DATA B(1)/2.0545/,B(2)/23.2185/,B(3)/1.3326/,B(4)/1.0210/,B(5)/1.0CONF0035
     1979/,B(6)/60.3498/,B(7)/.7068/,B(8)/.1403/,B(9)/-.1932/,B(10)/2.31CONF0036
     200/,B(11)/20.8439/,B(12)/1.0200/,B(13)/10.2075/,B(14)/1.5886/,B(15CONF0037
     3)/.5687/,B(16)/.8650/,B(17)/51.6512/,B(18)/.2156/,B(19)/2.26069/,BCONF0038
     4(20)/22.6907/,B(21)/1.56165/,B(22)/.656665/,B(23)/1.05075/,B(24)/9CONF0039
     5.75618/,B(25)/.839259/,B(26)/55.5949/,B(27)/.286977/,B(28)/12.2126CONF0040
     6/,B(29)/.0057/,B(30)/3.1322/,B(31)/9.8933/,B(32)/2.0125/,B(33)/28.CONF0041
     79975/,B(34)/1.1663/,B(35)/.5826/,B(36)/-11.529/,B(37)/3.0485/,B(38CONF0042
     8)/13.2771/,B(39)/2.2868/,B(40)/5.7011/,B(41)/1.5463/,B(42)/.3239/,CONF0043
     9B(43)/.8670/,B(44)/32.9089/,B(45)/.2508/,B(46)/4.19160/,B(47)/12.8CONF0044
     $573/,B(48)/1.63969/,B(49)/4.17236/,B(50)/1.52673/,B(51)/47.0179/,BCONF0045
     $(52)/-20.307/,B(53)/-.01404/,B(54)/21.9412/,B(55)/3.5392/,B(56)/10CONF0046
     $.2825/,B(57)/2.6412/,B(58)/4.2944/,B(59)/1.5170/,B(60)/.2615/,B(61CONF0047
     $)/1.0243/,B(62)/26.1476/,B(63)/.2776/,B(64)/3.63220/,B(65)/5.27756CONF0048
     $/,B(66)/3.51057/,B(67)/14.7353/,B(68)/1.26064/,B(69)/.442258/,B(70CONF0049
     $)/.940706/,B(71)/47.3437/,B(72)/.653396/                          CONF0050
      DATA C(1)/3.9553/,C(2)/8.4042/,C(3)/3.1125/,C(4)/3.4262/,C(5)/1.45CONF0051
     146/,C(6)/.2306/,C(7)/1.1251/,C(8)/21.7184/,C(9)/.3515/,C(10)/4.762CONF0052
     26/,C(11)/3.2850/,C(12)/3.1736/,C(13)/8.8422/,C(14)/1.2674/,C(15)/.CONF0053
     33136/,C(16)/1.1128/,C(17)/129.424/,C(18)/.6760/,C(19)/3.2565/,C(20CONF0054
     4)/2.6671/,C(21)/3.9362/,C(22)/6.1153/,C(23)/1.3998/,C(24)/.2001/,CCONF0055
     5(25)/1.0032/,C(26)/14.0390/,C(27)/.4040/,C(28)/5.4204/,C(29)/2.827CONF0056
     65/,C(30)/2.1735/,C(31)/79.2611/,C(32)/1.2269/,C(33)/.3808/,C(34)/2CONF0057
     7.3073/,C(35)/7.1937/,C(36)/.8584/,C(37)/3.4988/,C(38)/2.1676/,C(39CONF0058
     8)/3.8378/,C(40)/4.7542/,C(41)/1.3284/,C(42)/.1850/,C(43)/.8497/,C(CONF0059
     944)/10.1411/,C(45)/.4853/,C(46)/6.4202/,C(47)/3.0387/,C(48)/1.9002CONF0060
     $/,C(49)/.7426/,C(50)/1.5936/,C(51)/31.5472/,C(52)/1.9646/,C(53)/85CONF0061
     $.0886/,C(54)/1.1151/,C(55)/4.17448/,C(56)/1.93816/,C(57)/3.38760/,CONF0062
     $C(58)/4.14553/,C(59)/1.20296/,C(60)/.228753/,C(61)/.528137/,C(62)/CONF0063
     $8.28524/,C(63)/.706786/,C(64)/6.2915/,C(65)/2.4386/,C(66)/3.0353/,CONF0064
     $C(67)/32.3337/,C(68)/1.9891/,C(69)/.6785/,C(70)/1.5410/,C(71)/81.6CONF0065
     $937/,C(72)/1.1407/                                                CONF0066
      DATA D(1)/5.66269/,D(2)/2.66520/,D(3)/3.07164/,D(4)/38.6634/,D(5)/CONF0067
     12.62446/,D(6)/.916946/,D(7)/1.39320/,D(8)/93.5458/,D(9)/1.24707/,DCONF0068
     2(10)/4.43918/,D(11)/1.64167/,D(12)/3.20345/,D(13)/3.43757/,D(14)/1CONF0069
     3.19453/,D(15)/.214900/,D(16)/.416530/,D(17)/6.65365/,D(18)/.746297CONF0070
     4/,D(19)/6.9053/,D(20)/1.4679/,D(21)/5.2034/,D(22)/22.2151/,D(23)/1CONF0071
     5.4379/,D(24)/.2536/,D(25)/1.5863/,D(26)/56.1720/,D(27)/.8669/,D(28CONF0072
     6)/6.4345/,D(29)/1.9067/,D(30)/4.1791/,D(31)/27.1570/,D(32)/1.7800/CONF0073
     7,D(33)/.5260/,D(34)/1.4908/,D(35)/68.1645/,D(36)/1.1149/,D(37)/11.CONF0074
     84604/,D(38)/.0104/,D(39)/7.1964/,D(40)/1.1662/,D(41)/6.2556/,D(42)CONF0075
     9/18.5194/,D(43)/1.6455/,D(44)/47.7784/,D(45)/-9.5574/,D(46)/18.291CONF0076
     $5/,D(47)/.0066/,D(48)/7.2084/,D(49)/1.1717/,D(50)/6.5337/,D(51)/19CONF0077
     $.5424/,D(52)/2.3386/,D(53)/60.4486/,D(54)/-16.378/,D(55)/7.4845/,DCONF0078
     $(56)/.9072/,D(57)/6.7723/,D(58)/14.8407/,D(59)/.6539/,D(60)/43.898CONF0079
     $3/,D(61)/1.6442/,D(62)/33.3929/,D(63)/1.4445/,D(64)/8.2186/,D(65)/CONF0080
     $12.7949/,D(66)/7.4398/,D(67)/.7748/,D(68)/1.0519/,D(69)/213.187/,DCONF0081
     $(70)/.8659/,D(71)/41.6841/,D(72)/1.4228/                          CONF0082
      DATA E(1)/7.9578/,E(2)/12.6331/,E(3)/7.4917/,E(4)/.7674/,E(5)/6.35CONF0083
     190/,E(6)/-.0020/,E(7)/1.1915/,E(8)/31.9128/,E(9)/-4.9978/,E(10)/8.CONF0084
     26266/,E(11)/10.4421/,E(12)/7.3873/,E(13)/.6599/,E(14)/1.5899/,E(15CONF0085
     3)/85.7484/,E(16)/1.0211/,E(17)/178.437/,E(18)/1.3751/,E(19)/15.634CONF0086
     48/,E(20)/-.0074/,E(21)/7.9518/,E(22)/.6089/,E(23)/8.4372/,E(24)/10CONF0087
     5.3116/,E(25)/.8537/,E(26)/25.9905/,E(27)/-14.875/,E(28)/9.1890/,E(CONF0088
     629)/9.0213/,E(30)/7.3679/,E(31)/.5729/,E(32)/1.6409/,E(33)/136.108CONF0089
     7/,E(34)/1.4680/,E(35)/51.3531/,E(36)/1.3329/,E(37)/13.4008/,E(38)/CONF0090
     8.298540/,E(39)/8.02730/,E(40)/7.96290/,E(41)/1.65943/,E(42)/-.2860CONF0091
     94/,E(43)/1.57936/,E(44)/16.0662/,E(45)/-6.6667/,E(46)/9.7595/,E(47CONF0092
     $)/7.8508/,E(48)/7.3558/,E(49)/.5000/,E(50)/1.6991/,E(51)/35.6338/,CONF0093
     $E(52)/1.9021/,E(53)/116.105/,E(54)/1.2807/,E(55)/9.11423/,E(56)/7.CONF0094
     $52430/,E(57)/7.62174/,E(58)/.457585/,E(59)/2.27930/,E(60)/19.5361/CONF0095
     $,E(61)/.087899/,E(62)/61.6558/,E(63)/.897155/,E(64)/17.7344/,E(65)CONF0096
     $/.220610/,E(66)/8.73816/,E(67)/7.04716/,E(68)/5.25691/,E(69)/-.157CONF0097
     $62/,E(70)/1.92134/,E(71)/15.9768/,E(72)/-14.652/                  CONF0098
C-----SECOND PART                                                       CONF0099
      DATA F(1)/19.5114/,F(2)/.178847/,F(3)/8.23473/,F(4)/6.67018/,F(5)/CONF0100
     12.01341/,F(6)/-.29263/,F(7)/1.52080/,F(8)/12.9464/,F(9)/-13.280/,FCONF0101
     2(10)/10.2971/,F(11)/6.8657/,F(12)/7.3511/,F(13)/.4385/,F(14)/2.070CONF0102
     33/,F(15)/26.8938/,F(16)/2.0571/,F(17)/102.478/,F(18)/1.2199/,F(19)CONF0103
     4/10.1060/,F(20)/6.8818/,F(21)/7.3541/,F(22)/.4409/,F(23)/2.2884/,FCONF0104
     5(24)/20.3004/,F(25)/.0223/,F(26)/115.122/,F(27)/1.2298/,F(28)/9.43CONF0105
     6141/,F(29)/6.39535/,F(30)/7.74190/,F(31)/.383349/,F(32)/2.15343/,FCONF0106
     7(33)/15.1908/,F(34)/.016865/,F(35)/63.9690/,F(36)/.656565/,F(37)/1CONF0107
     85.6887/,F(38)/.679003/,F(39)/8.14208/,F(40)/5.40135/,F(41)/2.03081CONF0108
     9/,F(42)/9.97278/,F(43)/-9.5760/,F(44)/.940464/,F(45)/1.71430/,F(46CONF0109
     $)/10.6406/,F(47)/6.1038/,F(48)/7.3537/,F(49)/.3920/,F(50)/3.3240/,CONF0110
     $F(51)/20.2626/,F(52)/1.4922/,F(53)/98.7399/,F(54)/1.1832/,F(55)/9.CONF0111
     $54034/,F(56)/5.66078/,F(57)/7.75090/,F(58)/.344261/,F(59)/3.58274/CONF0112
     $,F(60)/13.3075/,F(61)/.509107/,F(62)/32.4224/,F(63)/.616898/,F(64)CONF0113
     $/9.68090/,F(65)/5.59463/,F(66)/7.81136/,F(67)/.334393/,F(68)/2.876CONF0114
     $03/,F(69)/12.8288/,F(70)/.113575/,F(71)/32.8761/,F(72)/.518275/   CONF0115
      DATA G(1)/11.2819/,G(2)/5.3409/,G(3)/7.3573/,G(4)/.3432/,G(5)/3.01CONF0116
     193/,G(6)/17.8674/,G(7)/2.2441/,G(8)/83.7543/,G(9)/1.0896/,G(10)/10CONF0117
     2.8061/,G(11)/5.2796/,G(12)/7.3620/,G(13)/.3435/,G(14)/3.5268/,G(15CONF0118
     3)/14.3430/,G(16)/.2184/,G(17)/41.3235/,G(18)/1.0874/,G(19)/9.84521CONF0119
     4/,G(20)/4.91797/,G(21)/7.87194/,G(22)/.294393/,G(23)/3.56531/,G(24CONF0120
     5)/10.8171/,G(25)/.323613/,G(26)/24.1281/,G(27)/.393974/,G(28)/9.96CONF0121
     6253/,G(29)/4.84850/,G(30)/7.97057/,G(31)/.283303/,G(32)/2.76067/,GCONF0122
     7(33)/10.4852/,G(34)/.054447/,G(35)/27.5730/,G(36)/.251877/,G(37)/1CONF0123
     81.7695/,G(38)/4.7611/,G(39)/7.3573/,G(40)/.3072/,G(41)/3.5222/,G(4CONF0124
     92)/15.3535/,G(43)/2.3045/,G(44)/76.8805/,G(45)/1.0369/,G(46)/11.04CONF0125
     $24/,G(47)/4.6538/,G(48)/7.3740/,G(49)/.3053/,G(50)/4.1346/,G(51)/1CONF0126
     $2.0546/,G(52)/.4399/,G(53)/31.2809/,G(54)/1.0097/,G(55)/11.1764/,GCONF0127
     $(56)/4.6147/,G(57)/7.3863/,G(58)/.3005/,G(59)/3.3948/,G(60)/11.672CONF0128
     $9/,G(61)/.0724/,G(62)/38.5566/,G(63)/.9707/,G(64)/12.2841/,G(65)/4CONF0129
     $.2791/,G(66)/7.3409/,G(67)/.2784/,G(68)/4.0034/,G(69)/13.5359/,G(7CONF0130
     $0)/2.3488/,G(71)/71.1692/,G(72)/1.0118/                           CONF0131
      DATA H(1)/11.2296/,H(2)/4.1231/,H(3)/7.3883/,H(4)/.2726/,H(5)/4.73CONF0132
     193/,H(6)/10.2443/,H(7)/.7108/,H(8)/25.6466/,H(9)/.9324/,H(10)/10.3CONF0133
     2380/,H(11)/3.90969/,H(12)/7.88173/,H(13)/.238668/,H(14)/4.76795/,HCONF0134
     3(15)/8.35583/,H(16)/.725591/,H(17)/18.3491/,H(18)/.286667/,H(19)/1CONF0135
     42.8376/,H(20)/3.8785/,H(21)/7.2920/,H(22)/.2565/,H(23)/4.4438/,H(2CONF0136
     54)/12.1763/,H(25)/2.3800/,H(26)/66.3421/,H(27)/1.0341/,H(28)/11.41CONF0137
     666/,H(29)/3.6766/,H(30)/7.4005/,H(31)/.2449/,H(32)/5.3442/,H(33)/8CONF0138
     7.8730/,H(34)/.9773/,H(35)/22.1626/,H(36)/.8614/,H(37)/10.7806/,H(3CONF0139
     88)/3.54770/,H(39)/7.75868/,H(40)/.223140/,H(41)/5.22746/,H(42)/7.6CONF0140
     94468/,H(43)/.847114/,H(44)/16.9673/,H(45)/.386044/,H(46)/13.3380/,CONF0141
     $H(47)/3.5828/,H(48)/7.1676/,H(49)/.2470/,H(50)/5.6158/,H(51)/11.39CONF0142
     $66/,H(52)/1.6735/,H(53)/64.8126/,H(54)/1.1910/,H(55)/11.9475/,H(56CONF0143
     $)/3.3669/,H(57)/7.3573/,H(58)/.2274/,H(59)/6.2455/,H(60)/8.6625/,HCONF0144
     $(61)/1.5578/,H(62)/25.8487/,H(63)/.8900/,H(64)/11.8168/,H(65)/3.37CONF0145
     $484/,H(66)/7.11181/,H(67)/.244078/,H(68)/5.78135/,H(69)/7.98760/,HCONF0146
     $(70)/1.14523/,H(71)/19.8970/,H(72)/1.14431/                       CONF0147
      DATA I(1)/14.0743/,I(2)/3.2655/,I(3)/7.0318/,I(4)/.2333/,I(5)/5.16CONF0148
     152/,I(6)/10.3163/,I(7)/2.4100/,I(8)/58.7097/,I(9)/1.3041/,I(10)/11CONF0149
     2.9719/,I(11)/2.9946/,I(12)/7.3862/,I(13)/.2031/,I(14)/6.4668/,I(15CONF0150
     3)/7.0826/,I(16)/1.3940/,I(17)/18.0995/,I(18)/.7807/,I(19)/15.2354/CONF0151
     4,I(20)/3.0669/,I(21)/6.7006/,I(22)/.2412/,I(23)/4.3591/,I(24)/10.7CONF0152
     5805/,I(25)/2.9623/,I(26)/61.4135/,I(27)/1.7189/,I(28)/12.6920/,I(2CONF0153
     69)/2.81262/,I(30)/6.69883/,I(31)/.227890/,I(32)/6.06692/,I(33)/6.3CONF0154
     76441/,I(34)/1.00660/,I(35)/14.4122/,I(36)/1.53545/,I(37)/16.0816/,CONF0155
     8I(38)/2.8509/,I(39)/6.3747/,I(40)/.2516/,I(41)/3.7068/,I(42)/11.44CONF0156
     968/,I(43)/3.6830/,I(44)/54.7625/,I(45)/2.1313/,I(46)/12.9172/,I(47CONF0157
     $)/2.53718/,I(48)/6.70003/,I(49)/.205855/,I(50)/6.06791/,I(51)/5.47CONF0158
     $913/,I(52)/.859041/,I(53)/11.6030/,I(54)/1.45572/,I(55)/16.6723/,ICONF0159
     $(56)/2.6345/,I(57)/6.0701/,I(58)/.2647/,I(59)/3.4313/,I(60)/12.947CONF0160
     $9/,I(61)/4.2779/,I(62)/47.7972/,I(63)/2.5310/,I(64)/17.0006/,I(65)CONF0161
     $/2.4098/,I(66)/5.8196/,I(67)/.2726/,I(68)/3.9731/,I(69)/15.2372/,ICONF0162
     $(70)/4.3543/,I(71)/43.8163/,I(72)/2.8409/                         CONF0163
      DATA J(1)/17.1789/,J(2)/2.1723/,J(3)/5.2358/,J(4)/16.5796/,J(5)/5.CONF0164
     16377/,J(6)/.2609/,J(7)/3.9851/,J(8)/41.4328/,J(9)/2.9557/,J(10)/17CONF0165
     2.1718/,J(11)/2.2059/,J(12)/6.3338/,J(13)/19.3345/,J(14)/5.5754/,J(CONF0166
     315)/.2871/,J(16)/3.7272/,J(17)/58.1535/,J(18)/3.1776/,J(19)/17.355CONF0167
     45/,J(20)/1.9384/,J(21)/6.7286/,J(22)/16.5623/,J(23)/5.5493/,J(24)/CONF0168
     5.2261/,J(25)/3.5375/,J(26)/39.3972/,J(27)/2.8250/,J(28)/17.1784/,JCONF0169
     6(29)/1.7888/,J(30)/9.6435/,J(31)/17.3151/,J(32)/5.1399/,J(33)/.274CONF0170
     78/,J(34)/1.5292/,J(35)/164.934/,J(36)/3.4873/,J(37)/17.5816/,J(38)CONF0171
     8/1.7139/,J(39)/7.6598/,J(40)/14.7957/,J(41)/5.8981/,J(42)/.1603/,JCONF0172
     9(43)/2.7817/,J(44)/31.2087/,J(45)/2.0782/,J(46)/17.5663/,J(47)/1.5CONF0173
     $564/,J(48)/9.8184/,J(49)/14.0988/,J(50)/5.4220/,J(51)/.1664/,J(52)CONF0174
     $/2.6694/,J(53)/132.376/,J(54)/2.5064/,J(55)/18.0874/,J(56)/1.4907/CONF0175
     $,J(57)/8.1373/,J(58)/12.6963/,J(59)/2.5654/,J(60)/24.5651/,J(61)/-CONF0176
     $34.193/,J(62)/-.0138/,J(63)/41.4025/,J(64)/17.7760/,J(65)/1.40290/CONF0177
     $,J(66)/10.2946/,J(67)/12.8006/,J(68)/5.72629/,J(69)/.125599/,J(70)CONF0178
     $/3.26588/,J(71)/104.354/,J(72)/1.91213/                           CONF0179
C-----THIRD PART                                                        CONF0180
      DATA K(1)/17.9268/,K(2)/1.35417/,K(3)/9.15310/,K(4)/11.2145/,K(5)/CONF0181
     11.76795/,K(6)/22.6599/,K(7)/-33.108/,K(8)/-.01319/,K(9)/40.2602/,KCONF0182
     2(10)/17.8765/,K(11)/1.27618/,K(12)/10.9480/,K(13)/11.9160/,K(14)/5CONF0183
     3.41732/,K(15)/.117622/,K(16)/3.65721/,K(17)/87.6627/,K(18)/2.06929CONF0184
     4/,K(19)/18.1668/,K(20)/1.21480/,K(21)/10.0562/,K(22)/10.1483/,K(23CONF0185
     5)/1.01118/,K(24)/21.6054/,K(25)/-2.6479/,K(26)/-.10276/,K(27)/9.41CONF0186
     6454/,K(28)/17.6142/,K(29)/1.18865/,K(30)/12.0144/,K(31)/11.7660/,KCONF0187
     7(32)/4.04183/,K(33)/.204785/,K(34)/3.53346/,K(35)/69.7957/,K(36)/3CONF0188
     8.75591/,K(37)/19.8812/,K(38)/.019175/,K(39)/18.0653/,K(40)/1.13305CONF0189
     9/,K(41)/11.0177/,K(42)/10.1621/,K(43)/1.94715/,K(44)/28.3389/,K(45CONF0190
     $)/-12.912/,K(46)/17.9163/,K(47)/1.12446/,K(48)/13.3417/,K(49)/.028CONF0191
     $781/,K(50)/10.7990/,K(51)/9.28206/,K(52)/.337905/,K(53)/25.7228/,KCONF0192
     $(54)/-6.3934/,K(55)/3.7025/,K(56)/.2772/,K(57)/17.2356/,K(58)/1.09CONF0193
     $58/,K(59)/12.8876/,K(60)/11.0040/,K(61)/3.7429/,K(62)/61.6584/,K(6CONF0194
     $3)/4.3875/,K(64)/21.1664/,K(65)/.014734/,K(66)/18.2017/,K(67)/1.03CONF0195
     $031/,K(68)/11.7423/,K(69)/9.53659/,K(70)/2.30951/,K(71)/26.6307/,KCONF0196
     $(72)/-14.421/                                                     CONF0197
      DATA L(1)/21.0149/,L(2)/.014345/,L(3)/18.0992/,L(4)/1.02238/,L(5)/CONF0198
     111.4632/,L(6)/8.78809/,L(7)/.740625/,L(8)/23.3452/,L(9)/-14.316/,LCONF0199
     2(10)/17.8871/,L(11)/1.03649/,L(12)/11.1750/,L(13)/8.48061/,L(14)/6CONF0200
     3.57891/,L(15)/.058881/,L(16)/0.0/,L(17)/0.0/,L(18)/.344941/,L(19)/CONF0201
     419.1301/,L(20)/.864132/,L(21)/11.0948/,L(22)/8.14487/,L(23)/4.6490CONF0202
     51/,L(24)/21.5707/,L(25)/2.71263/,L(26)/86.8472/,L(27)/5.40428/,L(2CONF0203
     68)/19.2674/,L(29)/.808520/,L(30)/12.9182/,L(31)/8.43467/,L(32)/4.8CONF0204
     76337/,L(33)/24.7997/,L(34)/1.56756/,L(35)/94.2928/,L(36)/5.37874/,CONF0205
     8L(37)/18.5638/,L(38)/.847329/,L(39)/13.2885/,L(40)/8.37164/,L(41)/CONF0206
     99.32602/,L(42)/.017662/,L(43)/3.00964/,L(44)/22.8870/,L(45)/-3.189CONF0207
     $2/,L(46)/18.5003/,L(47)/.844582/,L(48)/13.1787/,L(49)/8.12534/,L(5CONF0208
     $0)/4.71304/,L(51)/.036495/,L(52)/2.18535/,L(53)/20.8504/,L(54)/1.4CONF0209
     $2357/,L(55)/19.2957/,L(56)/.751536/,L(57)/14.3501/,L(58)/8.21758/,CONF0210
     $L(59)/4.73425/,L(60)/25.8749/,L(61)/1.28918/,L(62)/98.6062/,L(63)/CONF0211
     $5.32800/,L(64)/18.8785/,L(65)/.764252/,L(66)/14.1259/,L(67)/7.8443CONF0212
     $8/,L(68)/3.32515/,L(69)/21.2487/,L(70)/-6.1989/,L(71)/-.01036/,L(7CONF0213
     $2)/11.8678/                                                       CONF0214
      DATA M(1)/18.8545/,M(2)/.760825/,M(3)/13.9806/,M(4)/7.62436/,M(5)/CONF0215
     12.53464/,M(6)/19.3317/,M(7)/-5.6526/,M(8)/-.01020/,M(9)/11.2835/,MCONF0216
     2(10)/19.3319/,M(11)/.698655/,M(12)/15.5017/,M(13)/7.98929/,M(14)/5CONF0217
     3.29537/,M(15)/25.2052/,M(16)/.605844/,M(17)/76.8986/,M(18)/5.26593CONF0218
     4/,M(19)/19.1701/,M(20)/.696219/,M(21)/15.2096/,M(22)/7.55573/,M(23CONF0219
     5)/4.32234/,M(24)/22.5057/,M(25)/0.0/,M(26)/0.0/,M(27)/5.29160/,M(2CONF0220
     68)/19.2493/,M(29)/.683839/,M(30)/14.7900/,M(31)/7.14833/,M(32)/2.8CONF0221
     79289/,M(33)/17.9144/,M(34)/-7.9492/,M(35)/.005127/,M(36)/13.0174/,CONF0222
     8M(37)/19.2808/,M(38)/.6446/,M(39)/16.6885/,M(40)/7.4726/,M(41)/4.8CONF0223
     9045/,M(42)/24.6605/,M(43)/1.0463/,M(44)/99.8156/,M(45)/5.1790/,M(4CONF0224
     $6)/19.1812/,M(47)/.646179/,M(48)/15.9719/,M(49)/7.19123/,M(50)/5.2CONF0225
     $7475/,M(51)/21.7326/,M(52)/.357534/,M(53)/66.1147/,M(54)/5.21572/,CONF0226
     $M(55)/19.1643/,M(56)/.645643/,M(57)/16.2456/,M(58)/7.18544/,M(59)/CONF0227
     $4.37090/,M(60)/21.4072/,M(61)/0.0/,M(62)/0.0/,M(63)/5.21404/,M(64)CONF0228
     $/19.2214/,M(65)/.5946/,M(66)/17.6444/,M(67)/6.9089/,M(68)/4.4610/,CONF0229
     $M(69)/24.7008/,M(70)/1.6029/,M(71)/87.4825/,M(72)/5.0694/         CONF0230
      DATA N(1)/19.1514/,N(2)/.597922/,N(3)/17.2535/,N(4)/6.80639/,N(5)/CONF0231
     14.47128/,N(6)/20.2521/,N(7)/0.0/,N(8)/0.0/,N(9)/5.11937/,N(10)/19.CONF0232
     21624/,N(11)/.5476/,N(12)/18.5596/,N(13)/6.3776/,N(14)/4.2948/,N(15CONF0233
     3)/25.8499/,N(16)/2.0396/,N(17)/92.8029/,N(18)/4.9391/,N(19)/19.104CONF0234
     45/,N(20)/.551522/,N(21)/18.1108/,N(22)/6.32470/,N(23)/3.78897/,N(2CONF0235
     54)/17.3595/,N(25)/0.0/,N(26)/0.0/,N(27)/4.99635/,N(28)/19.1889/,N(CONF0236
     629)/5.8303/,N(30)/19.1005/,N(31)/.5031/,N(32)/4.4585/,N(33)/26.890CONF0237
     79/,N(34)/2.4663/,N(35)/83.9571/,N(36)/4.7821/,N(37)/19.1094/,N(38)CONF0238
     8/.5036/,N(39)/19.0548/,N(40)/5.8378/,N(41)/4.5648/,N(42)/23.3752/,CONF0239
     9N(43)/.4870/,N(44)/62.2061/,N(45)/4.7861/,N(46)/18.9333/,N(47)/5.7CONF0240
     $640/,N(48)/19.7131/,N(49)/.4655/,N(50)/3.4182/,N(51)/14.0049/,N(52CONF0241
     $)/.0193/,N(53)/-.7583/,N(54)/3.9182/,N(55)/19.6418/,N(56)/5.3034/,CONF0242
     $N(57)/19.0455/,N(58)/.4607/,N(59)/5.0371/,N(60)/27.9074/,N(61)/2.6CONF0243
     $827/,N(62)/75.2825/,N(63)/4.5909/,N(64)/18.9755/,N(65)/.467196/,N(CONF0244
     $66)/18.9330/,N(67)/5.22126/,N(68)/5.10789/,N(69)/19.5902/,N(70)/.2CONF0245
     $88753/,N(71)/55.5113/,N(72)/4.69626/                              CONF0246
      DATA O(1)/19.8685/,O(2)/5.44853/,O(3)/19.0302/,O(4)/.467973/,O(5)/CONF0247
     12.41253/,O(6)/14.1259/,O(7)/0.0/,O(8)/0.0/,O(9)/4.69263/,O(10)/19.CONF0248
     29644/,O(11)/4.81742/,O(12)/19.0138/,O(13)/.420885/,O(14)/6.14487/,CONF0249
     3O(15)/28.5284/,O(16)/2.52390/,O(17)/70.8403/,O(18)/4.35200/,O(19)/CONF0250
     420.1472/,O(20)/4.3470/,O(21)/18.9949/,O(22)/.3814/,O(23)/7.5138/,OCONF0251
     5(24)/27.7660/,O(25)/2.2735/,O(26)/66.8776/,O(27)/4.0712/,O(28)/20.CONF0252
     62332/,O(29)/4.3579/,O(30)/18.9970/,O(31)/.3815/,O(32)/7.8069/,O(33CONF0253
     7)/29.5259/,O(34)/2.8868/,O(35)/84.9304/,O(36)/4.0714/,O(37)/20.293CONF0254
     83/,O(38)/3.9282/,O(39)/19.0298/,O(40)/.3440/,O(41)/8.9767/,O(42)/2CONF0255
     96.4659/,O(43)/1.9900/,O(44)/64.2658/,O(45)/3.7118/,O(46)/20.3892/,CONF0256
     $O(47)/3.5690/,O(48)/19.1062/,O(49)/.3107/,O(50)/10.6620/,O(51)/24.CONF0257
     $3879/,O(52)/1.4953/,O(53)/213.904/,O(54)/3.3352/,O(55)/20.3524/,O(CONF0258
     $56)/3.5520/,O(57)/19.1278/,O(58)/.3086/,O(59)/10.2821/,O(60)/23.71CONF0259
     $28/,O(61)/.9615/,O(62)/59.4565/,O(63)/3.2791/,O(64)/20.3361/,O(65)CONF0260
     $/3.2160/,O(66)/19.2970/,O(67)/.2756/,O(68)/10.8880/,O(69)/20.2073/CONF0261
     $,O(70)/2.6959/,O(71)/167.202/,O(72)/2.7731/                       CONF0262
C-----FORTH PART                                                        CONF0263
      DATA P(1)/20.1807/,P(2)/3.21367/,P(3)/19.1136/,P(4)/.283310/,P(5)/CONF0264
     110.9054/,P(6)/20.0558/,P(7)/.773634/,P(8)/51.7460/,P(9)/3.02902/,PCONF0265
     2(10)/20.5780/,P(11)/2.94817/,P(12)/19.5990/,P(13)/.244475/,P(14)/1CONF0266
     31.3727/,P(15)/18.7726/,P(16)/3.28719/,P(17)/133.124/,P(18)/2.14678CONF0267
     4/,P(19)/20.2489/,P(20)/2.92070/,P(21)/19.3763/,P(22)/.250698/,P(23CONF0268
     5)/11.6323/,P(24)/17.8211/,P(25)/.336048/,P(26)/54.9453/,P(27)/2.40CONF0269
     6860/,P(28)/21.1671/,P(29)/2.81219/,P(30)/19.7695/,P(31)/.226836/,PCONF0270
     7(32)/11.8513/,P(33)/17.6083/,P(34)/3.33049/,P(35)/127.113/,P(36)/1CONF0271
     8.86264/,P(37)/20.8036/,P(38)/2.77691/,P(39)/19.5590/,P(40)/.231540CONF0272
     9/,P(41)/11.9369/,P(42)/16.5408/,P(43)/.612376/,P(44)/43.1692/,P(45CONF0273
     $)/2.09013/,P(46)/20.3235/,P(47)/2.65941/,P(48)/19.8186/,P(49)/.218CONF0274
     $850/,P(50)/12.1233/,P(51)/15.7992/,P(52)/.144583/,P(53)/62.2355/,PCONF0275
     $(54)/1.59180/,P(55)/22.0440/,P(56)/2.77393/,P(57)/19.6697/,P(58)/.CONF0276
     $222087/,P(59)/12.3856/,P(60)/16.7669/,P(61)/2.82428/,P(62)/143.644CONF0277
     $/,P(63)/2.05830/,P(64)/21.3727/,P(65)/2.64520/,P(66)/19.7491/,P(67CONF0278
     $)/.214299/,P(68)/12.1329/,P(69)/15.3230/,P(70)/.975180/,P(71)/36.4CONF0279
     $065/,P(72)/1.77132/                                               CONF0280
      DATA Q(1)/20.9413/,Q(2)/2.54467/,Q(3)/20.0539/,Q(4)/.202481/,Q(5)/CONF0281
     112.4668/,Q(6)/14.8137/,Q(7)/.296689/,Q(8)/45.4643/,Q(9)/1.24285/,QCONF0282
     2(10)/22.6845/,Q(11)/2.66248/,Q(12)/19.6847/,Q(13)/.210628/,Q(14)/1CONF0283
     32.7740/,Q(15)/15.8850/,Q(16)/2.85137/,Q(17)/137.903/,Q(18)/1.98486CONF0284
     4/,Q(19)/21.9610/,Q(20)/2.52722/,Q(21)/19.9339/,Q(22)/.199237/,Q(23CONF0285
     5)/12.1200/,Q(24)/14.1783/,Q(25)/1.51031/,Q(26)/30.8717/,Q(27)/1.47CONF0286
     6588/,Q(28)/23.3405/,Q(29)/2.56270/,Q(30)/19.6095/,Q(31)/.202088/,QCONF0287
     7(32)/13.1235/,Q(33)/15.1009/,Q(34)/2.87516/,Q(35)/132.721/,Q(36)/2CONF0288
     8.02876/,Q(37)/22.5527/,Q(38)/2.41740/,Q(39)/20.1108/,Q(40)/.185769CONF0289
     9/,Q(41)/12.0671/,Q(42)/13.1275/,Q(43)/2.07492/,Q(44)/27.4491/,Q(45CONF0290
     $)/1.19499/,Q(46)/24.0042/,Q(47)/2.47274/,Q(48)/19.4258/,Q(49)/.196CONF0291
     $451/,Q(50)/13.4396/,Q(51)/14.3996/,Q(52)/2.89604/,Q(53)/128.007/,QCONF0292
     $(54)/2.20963/,Q(55)/23.1504/,Q(56)/2.31641/,Q(57)/20.2599/,Q(58)/.CONF0293
     $174081/,Q(59)/11.9202/,Q(60)/12.1571/,Q(61)/2.71488/,Q(62)/24.8242CONF0294
     $/,Q(63)/.954586/,Q(64)/24.6274/,Q(65)/2.3879/,Q(66)/19.0886/,Q(67)CONF0295
     $/.1942/,Q(68)/13.7603/,Q(69)/13.7546/,Q(70)/2.9227/,Q(71)/123.174/CONF0296
     $,Q(72)/2.5745/                                                    CONF0297
      DATA R(1)/24.0063/,R(2)/2.27783/,R(3)/19.9504/,R(4)/.173530/,R(5)/CONF0298
     111.8034/,R(6)/11.6096/,R(7)/3.87243/,R(8)/26.5156/,R(9)/1.36389/,RCONF0299
     2(10)/23.7497/,R(11)/2.22258/,R(12)/20.3745/,R(13)/.163940/,R(14)/1CONF0300
     31.8509/,R(15)/11.3110/,R(16)/3.26503/,R(17)/22.9966/,R(18)/.759344CONF0301
     4/,R(19)/25.0709/,R(20)/2.25341/,R(21)/19.0798/,R(22)/.181951/,R(23CONF0302
     5)/13.8518/,R(24)/12.9331/,R(25)/3.54545/,R(26)/101.398/,R(27)/2.41CONF0303
     6960/,R(28)/24.3466/,R(29)/2.13553/,R(30)/20.4208/,R(31)/.155525/,RCONF0304
     7(32)/11.8708/,R(33)/10.5782/,R(34)/3.71490/,R(35)/21.7029/,R(36)/.CONF0305
     8645089/,R(37)/25.8976/,R(38)/2.24256/,R(39)/18.2185/,R(40)/.196143CONF0306
     9/,R(41)/14.3167/,R(42)/12.6648/,R(43)/2.95354/,R(44)/115.362/,R(45CONF0307
     $)/3.58324/,R(46)/24.9559/,R(47)/2.05601/,R(48)/20.3271/,R(49)/.149CONF0308
     $525/,R(50)/12.2471/,R(51)/10.0499/,R(52)/3.77300/,R(53)/21.2773/,RCONF0309
     $(54)/.691967/,R(55)/26.5070/,R(56)/2.18020/,R(57)/17.6383/,R(58)/.CONF0310
     $202172/,R(59)/14.5596/,R(60)/12.1899/,R(61)/2.96577/,R(62)/111.874CONF0311
     $/,R(63)/4.29728/,R(64)/25.5395/,R(65)/1.98040/,R(66)/20.2861/,R(67CONF0312
     $)/.143384/,R(68)/11.9812/,R(69)/9.34972/,R(70)/4.50073/,R(71)/19.5CONF0313
     $810/,R(72)/.689690/                                               CONF0314
      DATA S(1)/26.9049/,S(2)/2.07051/,S(3)/17.2940/,S(4)/.197940/,S(5)/CONF0315
     114.5583/,S(6)/11.4407/,S(7)/3.63837/,S(8)/92.6566/,S(9)/4.56796/,SCONF0316
     2(10)/26.1296/,S(11)/1.91072/,S(12)/20.0994/,S(13)/.139358/,S(14)/1CONF0317
     31.9788/,S(15)/8.80018/,S(16)/4.93676/,S(17)/18.5908/,S(18)/.852795CONF0318
     4/,S(19)/27.6563/,S(20)/2.07356/,S(21)/16.4285/,S(22)/.223545/,S(23CONF0319
     5)/14.9779/,S(24)/11.3604/,S(25)/2.98233/,S(26)/105.703/,S(27)/5.92CONF0320
     6046/,S(28)/26.7220/,S(29)/1.84659/,S(30)/19.7748/,S(31)/.137290/,SCONF0321
     7(32)/12.1506/,S(33)/8.36225/,S(34)/5.17379/,S(35)/17.8974/,S(36)/1CONF0322
     8.17613/,S(37)/28.1819/,S(38)/2.02859/,S(39)/15.8851/,S(40)/.238849CONF0323
     9/,S(41)/15.1542/,S(42)/10.9975/,S(43)/2.98706/,S(44)/102.961/,S(45CONF0324
     $)/6.75621/,S(46)/27.3083/,S(47)/1.78711/,S(48)/19.3320/,S(49)/.136CONF0325
     $974/,S(50)/12.3339/,S(51)/7.96778/,S(52)/5.38348/,S(53)/17.2922/,SCONF0326
     $(54)/1.63929/,S(55)/28.6641/,S(56)/1.98890/,S(57)/15.4345/,S(58)/.CONF0327
     $257119/,S(59)/15.3087/,S(60)/10.6647/,S(61)/2.98963/,S(62)/100.417CONF0328
     $/,S(63)/7.56672/,S(64)/28.1209/,S(65)/1.78503/,S(66)/17.6817/,S(67CONF0329
     $)/.159970/,S(68)/13.3335/,S(69)/8.18304/,S(70)/5.14657/,S(71)/20.3CONF0330
     $900/,S(72)/3.70983/                                               CONF0331
      DATA T(1)/27.8917/,T(2)/1.73272/,T(3)/18.7614/,T(4)/.138790/,T(5)/CONF0332
     112.6072/,T(6)/7.64412/,T(7)/5.47647/,T(8)/16.8153/,T(9)/2.26001/,TCONF0333
     2(10)/28.9476/,T(11)/1.90182/,T(12)/15.2208/,T(13)/9.98519/,T(14)/1CONF0334
     35.1000/,T(15)/.261033/,T(16)/3.71601/,T(17)/84.3298/,T(18)/7.97628CONF0335
     4/,T(19)/28.4628/,T(20)/1.68216/,T(21)/18.1210/,T(22)/.142292/,T(23CONF0336
     5)/12.8429/,T(24)/7.33727/,T(25)/5.59415/,T(26)/16.3535/,T(27)/2.97CONF0337
     6573/,T(28)/29.1440/,T(29)/1.83262/,T(30)/15.1726/,T(31)/9.59990/,TCONF0338
     7(32)/14.7586/,T(33)/.275116/,T(34)/4.30013/,T(35)/72.0290/,T(36)/8CONF0339
     8.58154/,T(37)/28.8131/,T(38)/1.59136/,T(39)/18.4601/,T(40)/.128903CONF0340
     9/,T(41)/12.7285/,T(42)/6.76232/,T(43)/5.59927/,T(44)/14.0366/,T(45CONF0341
     $)/2.39699/,T(46)/29.2024/,T(47)/1.77333/,T(48)/15.2293/,T(49)/9.37CONF0342
     $046/,T(50)/14.5135/,T(51)/.295977/,T(52)/4.76492/,T(53)/63.3644/,TCONF0343
     $(54)/9.24354/,T(55)/29.1587/,T(56)/1.50711/,T(57)/18.8407/,T(58)/.CONF0344
     $116741/,T(59)/12.8268/,T(60)/6.31524/,T(61)/5.38695/,T(62)/12.4244CONF0345
     $/,T(63)/1.78555/,T(64)/29.0818/,T(65)/1.72029/,T(66)/15.4300/,T(67CONF0346
     $)/9.22590/,T(68)/14.4327/,T(69)/.321703/,T(70)/5.11982/,T(71)/57.0CONF0347
     $560/,T(72)/9.88750/                                               CONF0348
C-----FIFTH PART                                                        CONF0349
      DATA U(1)/29.4936/,U(2)/1.42755/,U(3)/19.3763/,U(4)/.104621/,U(5)/CONF0350
     113.0544/,U(6)/5.93667/,U(7)/5.06412/,U(8)/11.1972/,U(9)/1.01074/,UCONF0351
     2(10)/28.7621/,U(11)/1.67191/,U(12)/15.7189/,U(13)/9.09227/,U(14)/1CONF0352
     34.5564/,U(15)/.350500/,U(16)/5.44174/,U(17)/52.0861/,U(18)/10.4720CONF0353
     4/,U(19)/28.1894/,U(20)/1.62903/,U(21)/16.1550/,U(22)/8.97948/,U(23CONF0354
     5)/14.9305/,U(24)/.382661/,U(25)/5.67589/,U(26)/48.1647/,U(27)/11.0CONF0355
     6005/,U(28)/30.4190/,U(29)/1.37113/,U(30)/15.2637/,U(31)/6.84706/,UCONF0356
     7(32)/14.7458/,U(33)/.165191/,U(34)/5.06795/,U(35)/18.0030/,U(36)/6CONF0357
     8.49804/,U(37)/27.3049/,U(38)/1.59279/,U(39)/16.7296/,U(40)/8.86553CONF0358
     9/,U(41)/15.6115/,U(42)/.417916/,U(43)/5.83377/,U(44)/45.0011/,U(45CONF0359
     $)/11.4722/,U(46)/30.4156/,U(47)/1.34323/,U(48)/15.8620/,U(49)/7.10CONF0360
     $909/,U(50)/13.6145/,U(51)/.204633/,U(52)/5.82008/,U(53)/20.3254/,UCONF0361
     $(54)/8.27903/,U(55)/30.7058/,U(56)/1.30923/,U(57)/15.5512/,U(58)/6CONF0362
     $.71983/,U(59)/14.2326/,U(60)/.167252/,U(61)/5.53672/,U(62)/17.4911CONF0363
     $/,U(63)/6.96824/,U(64)/27.0059/,U(65)/1.51293/,U(66)/17.7639/,U(67CONF0364
     $)/8.81174/,U(68)/15.7131/,U(69)/.424593/,U(70)/5.78370/,U(71)/38.6CONF0365
     $103/,U(72)/11.6883/                                               CONF0366
      DATA V(1)/29.8429/,V(2)/1.32927/,V(3)/16.7224/,V(4)/7.38979/,V(5)/CONF0367
     113.2153/,V(6)/.263297/,V(7)/6.35234/,V(8)/22.9426/,V(9)/9.85329/,VCONF0368
     2(10)/30.9612/,V(11)/1.24813/,V(12)/15.9829/,V(13)/6.60834/,V(14)/1CONF0369
     33.7348/,V(15)/.168640/,V(16)/5.92034/,V(17)/16.9392/,V(18)/7.39534CONF0370
     4/,V(19)/16.8819/,V(20)/.4611/,V(21)/18.5913/,V(22)/8.6216/,V(23)/2CONF0371
     55.5582/,V(24)/1.4826/,V(25)/5.8600/,V(26)/36.3956/,V(27)/12.0658/,CONF0372
     6V(28)/28.0109/,V(29)/1.35321/,V(30)/17.8204/,V(31)/7.73950/,V(32)/CONF0373
     714.3359/,V(33)/.356752/,V(34)/6.58077/,V(35)/26.4043/,V(36)/11.229CONF0374
     89/,V(37)/30.6886/,V(38)/1.21990/,V(39)/16.9029/,V(40)/6.82872/,V(4CONF0375
     91)/12.7801/,V(42)/.212867/,V(43)/6.52354/,V(44)/18.6590/,V(45)/9.0CONF0376
     $9680/,V(46)/20.6809/,V(47)/.5450/,V(48)/19.0417/,V(49)/8.4484/,V(5CONF0377
     $0)/21.6575/,V(51)/1.5729/,V(52)/5.9676/,V(53)/38.3246/,V(54)/12.60CONF0378
     $89/,V(55)/25.0853/,V(56)/1.39507/,V(57)/18.4973/,V(58)/7.65105/,V(CONF0379
     $59)/16.8883/,V(60)/.443378/,V(61)/6.48216/,V(62)/28.2262/,V(63)/12CONF0380
     $.0205/,V(64)/29.5641/,V(65)/1.21152/,V(66)/18.0600/,V(67)/7.05639/CONF0381
     $,V(68)/12.8374/,V(69)/.284738/,V(70)/6.89912/,V(71)/20.7482/,V(72)CONF0382
     $/10.6268/                                                         CONF0383
      DATA W(1)/27.5446/,W(2)/.655150/,W(3)/19.1584/,W(4)/8.70751/,W(5)/CONF0384
     115.5380/,W(6)/1.96347/,W(7)/5.52593/,W(8)/45.8149/,W(9)/13.1746/,WCONF0385
     2(10)/21.3985/,W(11)/1.47110/,W(12)/20.4723/,W(13)/.517394/,W(14)/1CONF0386
     38.7478/,W(15)/7.43463/,W(16)/6.82847/,W(17)/28.8482/,W(18)/12.5258CONF0387
     4/,W(19)/30.8695/,W(20)/1.10080/,W(21)/18.3841/,W(22)/6.53852/,W(23CONF0388
     5)/11.9328/,W(24)/.219074/,W(25)/7.00574/,W(26)/17.2114/,W(27)/9.80CONF0389
     6270/,W(28)/31.0617/,W(29)/.6902/,W(30)/13.0637/,W(31)/2.3576/,W(32CONF0390
     7)/18.4420/,W(33)/8.6180/,W(34)/5.9696/,W(35)/47.2579/,W(36)/13.411CONF0391
     88/,W(37)/21.7886/,W(38)/1.33660/,W(39)/19.5682/,W(40)/.488383/,W(4CONF0392
     91)/19.1406/,W(42)/6.77270/,W(43)/7.01107/,W(44)/23.8132/,W(45)/12.CONF0393
     $4734/,W(46)/32.1244/,W(47)/1.00566/,W(48)/18.8003/,W(49)/6.10926/,CONF0394
     $W(50)/12.0175/,W(51)/.147041/,W(52)/6.96886/,W(53)/14.7140/,W(54)/CONF0395
     $8.08428/,W(55)/33.3689/,W(56)/.7040/,W(57)/12.9510/,W(58)/2.9238/,CONF0396
     $W(59)/16.5877/,W(60)/8.7937/,W(61)/6.4692/,W(62)/48.0093/,W(63)/13CONF0397
     $.5782/,W(64)/21.8053/,W(65)/1.23560/,W(66)/19.5026/,W(67)/6.24149/CONF0398
     $,W(68)/19.1053/,W(69)/.469999/,W(70)/7.10295/,W(71)/20.3185/,W(72)CONF0399
     $/12.4711/                                                         CONF0400
      DATA X(1)/33.5364/,X(2)/.916540/,X(3)/25.0946/,X(4)/.039042/,X(5)/CONF0401
     119.2497/,X(6)/5.71414/,X(7)/6.91555/,X(8)/12.8285/,X(9)/-6.7994/,XCONF0402
     2(10)/34.6726/,X(11)/.700999/,X(12)/15.4733/,X(13)/3.55078/,X(14)/1CONF0403
     33.1138/,X(15)/9.55642/,X(16)/7.02588/,X(17)/47.0045/,X(18)/13.6770CONF0404
     4/,X(19)/35.3163/,X(20)/.685870/,X(21)/19.0211/,X(22)/3.97458/,X(23CONF0405
     5)/9.49887/,X(24)/11.3824/,X(25)/7.42518/,X(26)/45.4715/,X(27)/13.7CONF0406
     6108/,X(28)/35.5631/,X(29)/.6631/,X(30)/21.2816/,X(31)/4.0691/,X(32CONF0407
     7)/8.0037/,X(33)/14.0422/,X(34)/7.4433/,X(35)/44.2473/,X(36)/13.690CONF0408
     85/,X(37)/35.9299/,X(38)/.646453/,X(39)/23.0547/,X(40)/4.17619/,X(4CONF0409
     91)/12.1439/,X(42)/23.1052/,X(43)/2.11253/,X(44)/150.645/,X(45)/13.CONF0410
     $7247/,X(46)/35.7630/,X(47)/.616341/,X(48)/22.9064/,X(49)/3.87135/,CONF0411
     $X(50)/12.4739/,X(51)/19.9887/,X(52)/3.21097/,X(53)/142.325/,X(54)/CONF0412
     $13.6211/,X(55)/35.2150/,X(56)/.604909/,X(57)/21.6700/,X(58)/3.5767CONF0413
     $0/,X(59)/7.91342/,X(60)/12.6010/,X(61)/7.65078/,X(62)/29.8436/,X(6CONF0414
     $3)/13.5431/,X(64)/35.6597/,X(65)/.589092/,X(66)/23.1032/,X(67)/3.6CONF0415
     $5155/,X(68)/12.5977/,X(69)/18.5990/,X(70)/4.08655/,X(71)/117.020/,CONF0416
     $X(72)/13.5266/                                                    CONF0417
      DATA Y(1)/35.1736/,Y(2)/.579689/,Y(3)/22.1112/,Y(4)/3.41437/,Y(5)/CONF0418
     18.19216/,Y(6)/12.9187/,Y(7)/7.05545/,Y(8)/25.9443/,Y(9)/13.4637/,YCONF0419
     2(10)/35.5645/,Y(11)/.563359/,Y(12)/23.4219/,Y(13)/3.46204/,Y(14)/1CONF0420
     32.7473/,Y(15)/17.8309/,Y(16)/4.80703/,Y(17)/99.1722/,Y(18)/13.4314CONF0421
     4/,Y(19)/35.1007/,Y(20)/.555054/,Y(21)/22.4418/,Y(22)/3.24498/,Y(23CONF0422
     5)/9.78554/,Y(24)/13.4661/,Y(25)/5.29444/,Y(26)/23.9533/,Y(27)/13.3CONF0423
     6760/,Y(28)/35.8847/,Y(29)/.547751/,Y(30)/23.2948/,Y(31)/3.41519/,YCONF0424
     7(32)/14.1891/,Y(33)/16.9235/,Y(34)/4.17287/,Y(35)/105.251/,Y(36)/1CONF0425
     83.4287/,Y(37)/36.0228/,Y(38)/.5293/,Y(39)/23.4128/,Y(40)/3.3253/,YCONF0426
     9(41)/14.9491/,Y(42)/16.0927/,Y(43)/4.1880/,Y(44)/100.613/,Y(45)/13CONF0427
     $.3966/,Y(46)/35.5747/,Y(47)/.520480/,Y(48)/22.5259/,Y(49)/3.12293/CONF0428
     $,Y(50)/12.2165/,Y(51)/12.7148/,Y(52)/5.37073/,Y(53)/26.3394/,Y(54)CONF0429
     $/13.3092/,Y(55)/35.3715/,Y(56)/.516598/,Y(57)/22.5326/,Y(58)/3.050CONF0430
     $53/,Y(59)/12.0291/,Y(60)/12.5723/,Y(61)/4.79840/,Y(62)/23.4582/,Y(CONF0431
     $63)/13.2671/,Y(64)/34.8509/,Y(65)/.507079/,Y(66)/22.7584/,Y(67)/2.CONF0432
     $89030/,Y(68)/14.0099/,Y(69)/13.1767/,Y(70)/1.21457/,Y(71)/25.2017/CONF0433
     $,Y(72)/13.1665/                                                   CONF0434
C-----SIXTH PART                                                        CONF0435
      DATA Z(1)/36.1874/,Z(2)/.511929/,Z(3)/23.5964/,Z(4)/3.25396/,Z(5)/CONF0436
     115.6402/,Z(6)/15.3622/,Z(7)/4.18550/,Z(8)/97.4908/,Z(9)/13.3573/,ZCONF0437
     2(10)/35.0136/,Z(11)/.489810/,Z(12)/22.7286/,Z(13)/2.81099/,Z(14)/1CONF0438
     34.3884/,Z(15)/12.3300/,Z(16)/1.75669/,Z(17)/22.6581/,Z(18)/13.1130CONF0439
     4/,Z(19)/36.5254/,Z(20)/.499384/,Z(21)/23.8083/,Z(22)/3.26371/,Z(23CONF0440
     5)/16.7707/,Z(24)/14.9455/,Z(25)/3.47947/,Z(26)/105.980/,Z(27)/13.3CONF0441
     6812/,Z(28)/35.7074/,Z(29)/.502322/,Z(30)/22.6130/,Z(31)/3.03807/,ZCONF0442
     7(32)/12.9898/,Z(33)/12.1449/,Z(34)/5.43227/,Z(35)/25.4928/,Z(36)/1CONF0443
     83.2544/,Z(37)/35.5103/,Z(38)/.498626/,Z(39)/22.5787/,Z(40)/2.96627CONF0444
     9/,Z(41)/12.7766/,Z(42)/11.9484/,Z(43)/4.92159/,Z(44)/22.7502/,Z(45CONF0445
     $)/13.2116/,Z(46)/35.8400/,Z(47)/.484938/,Z(48)/22.7169/,Z(49)/2.96CONF0446
     $118/,Z(50)/13.5807/,Z(51)/11.5331/,Z(52)/5.66016/,Z(53)/24.3992/,ZCONF0447
     $(54)/13.1991/,Z(55)/35.6493/,Z(56)/.481422/,Z(57)/22.6460/,Z(58)/2CONF0448
     $.89020/,Z(59)/13.3595/,Z(60)/11.3160/,Z(61)/5.18831/,Z(62)/21.8301CONF0449
     $/,Z(63)/13.1555/,Z(64)/35.1736/,Z(65)/.473204/,Z(66)/22.7181/,Z(67CONF0450
     $)/2.73848/,Z(68)/14.7635/,Z(69)/11.5530/,Z(70)/2.28678/,Z(71)/20.9CONF0451
     $303/,Z(72)/13.0582/                                               CONF0452
      DATA Z1(1)/36.6706/,Z1(2)/.483629/,Z1(3)/24.0992/,Z1(4)/3.20647/,ZCONF0453
     11(5)/17.3415/,Z1(6)/14.3136/,Z1(7)/3.49331/,Z1(8)/102.273/,Z1(9)/1CONF0454
     23.3592/,Z1(10)/36.6488/,Z1(11)/.465154/,Z1(12)/24.4096/,Z1(13)/3.0CONF0455
     38997/,Z1(14)/17.3990/,Z1(15)/13.4346/,Z1(16)/4.21665/,Z1(17)/88.48CONF0456
     434/,Z1(18)/13.2887/,Z1(19)/36.7881/,Z1(20)/.451018/,Z1(21)/24.7736CONF0457
     5/,Z1(22)/3.04619/,Z1(23)/17.8919/,Z1(24)/12.8946/,Z1(25)/4.23284/,CONF0458
     6Z1(26)/86.0030/,Z1(27)/13.2754/,Z1(28)/36.9185/,Z1(29)/0.437533/,ZCONF0459
     71(30)/25.1995/,Z1(31)/3.00775/,Z1(32)/18.3317/,Z1(33)/12.4044/,Z1(CONF0460
     834)/4.24391/,Z1(35)/83.7881/,Z1(36)/13.2674/,Z1(37)/4.758/,       CONF0461
     9Z1(38)/7.831/,Z1(39)/3.637/,Z1(40)/30.05/,Z1(41)/0./,Z1(42)/0./,  CONF0462
     XZ1(43)/0./,Z1(44)/0./,Z1(45)/1.594/,Z1(46)/0./,Z1(47)/0./,        CONF0463
     XZ1(48)/0./,Z1(49)/0./,Z1(50)/0./,Z1(51)/0./,Z1(52)/0./,Z1(53)/0./,CONF0464
     XZ1(54)/1./                                                        CONF0465
      END                                                               CONF0466
      BLOCK DATA                                                        BLKD0000
C-----CONTAINS LITERAL DATA FOR LAZY                                    BLKD0001
      COMMON /ND/ NM/WAVEL/ M/BRAF/IB,CT /FLOR/ LPF,CV                  BLKD0002
      INTEGER CV,CT                                                     BLKD0003
      DIMENSION NM(20),M(20),IB(8),CV(6),LPF(6),CT(8)                   BLKD0004
      DATA  NM(1)/1H1/, NM(2)/1H2/, NM(3)/1H3/, NM(4)/1H4/, NM(5)/1H5/, BLKD0005
     1NM(6)/1H6/,NM(7)/1HA/,NM(8)/1HB/,NM(9)/1HC/,NM(10)/1HD/,NM(11)/1HMBLKD0006
     2/,NM(12)/1HN/,NM(13)/1HP/,NM(14)/4HCU  /,NM(15)/1H//,NM(16)/1H-/, BLKD0007
     3NM(17)/1H /, NM(18)/2H  /,NM(19)/4H    /,NM(20)/2HSP/             BLKD0008
      DATA LPF(1)/0/,LPF(2)/1/,LPF(3)/2/,LPF(4)/3/,LPF(5)/4/,LPF(6)/0/  BLKD0009
      DATA CV(1)/2HDS/,CV(2)/2H 1/,CV(3)/2HNE/,CV(4)/2HGN/,CV(5)/2HGH/,CBLKD0010
     1V(6)/2H  /                                                        BLKD0011
      DATA IB(1)/1/,IB(2)/1/,IB(3)/2/,IB(4)/3/,IB(5)/4/,IB(6)/5/,IB(7)/6BLKD0012
     1/,IB(8)/7/                                                        BLKD0013
      DATA CT(1)/1H /,CT(2)/1HP/,CT(3)/1HI/,CT(4)/1HR/,CT(5)/1HF/,CT(6)/BLKD0014
     11HA/,CT(7)/1HB/,CT(8)/1HC/                                        BLKD0015
      DATA M(1)/4HCRA1/,M(2)/4HCRA2/,M(3)/4HCRB /,M(4)/4HCR  /,M(5)/4HFEBLKD0016
     1A1/,M(6)/4HFEA2/,M(7)/4HFEB /,M(8)/4HFE  /,M(9)/4HCUA1/,M(10)/4HCUBLKD0017
     2A2/,M(11)/4HCUB /,M(12)/4HCU  /,M(13)/4HMOA1/,M(14)/4HMOA2/,M(15)/BLKD0018
     34HMOB /,M(16)/4HMO  /,M(17)/4HAGA1/,M(18)/4HAGA2/,M(19)/4HAGB /,M(BLKD0019
     420)/4HAG  /                                                       BLKD0020
      END                                                               BLKD0021
      SUBROUTINE ANOMA (ANODE,ELEMEN,KODLP)                             ANOM0000
C-----CALCULATE ANOM DISPERSION COEFFICIENTS AND NEUTRON SCATT.LENGTH   ANOM0001
      COMMON /ANOMAL/ DELFR,DELFI                                       ANOM0002
      COMMON /UNITS/ ICR,IPR,ILU                                        ANOM0003
      COMMON /WAVEL/ M                                                  ANOM0004
      DIMENSION N(98), M(20)                                            ANOM0005
      INTEGER ELEMEN,ANODE                                              ANOM0006
      DATA N(1)/4HLI  /,N(2)/4HBE  /,N(3)/4HB   /,N(4)/4HC   /,N(5)/4HN ANOM0007
     1  /,N(6)/4HO   /,N(7)/4HF   /,N(8)/4HNE  /,N(9)/4HNA  /,N(10)/4HMGANOM0008
     2  /,N(11)/4HAL  /,N(12)/4HSI  /,N(13)/4HP   /,N(14)/4HS   /,N(15)/ANOM0009
     34HCL  /,N(16)/4HAR  /,N(17)/4HK   /,N(18)/4HCA  /,N(19)/4HSC  /,N(ANOM0010
     420)/4HTI  /,N(21)/4HV   /,N(22)/4HCR  /,N(23)/4HMN  /,N(24)/4HFE  ANOM0011
     5/,N(25)/4HCO  /,N(26)/4HNI  /,N(27)/4HCU  /,N(28)/4HZN  /,N(29)/4HANOM0012
     6GA  /,N(30)/4HGE  /,N(31)/4HAS  /,N(32)/4HSE  /,N(33)/4HBR  /,N(34ANOM0013
     7)/4HKR  /,N(35)/4HRB  /,N(36)/4HSR  /,N(37)/4HY   /,N(38)/4HZR  /,ANOM0014
     8N(39)/4HNB  /,N(40)/4HMO  /                                       ANOM0015
      DATA N(41)/4HTC  /,N(42)/4HRU  /,N(43)/4HRH  /,N(44)/4HPD  /,N(45)ANOM0016
     1/4HAG  /,N(46)/4HCD  /,N(47)/4HIN  /,N(48)/4HSN  /,N(49)/4HSB  /,NANOM0017
     2(50)/4HTE  /,N(51)/4HI   /,N(52)/4HXE  /,N(53)/4HCS  /,N(54)/4HBA ANOM0018
     3 /,N(55)/4HLA  /,N(56)/4HCE  /,N(57)/4HPR  /,N(58)/4HND  /,N(59)/4ANOM0019
     4HPM  /,N(60)/4HSM  /,N(61)/4HEU  /,N(62)/4HGD  /,N(63)/4HTB  /,N(6ANOM0020
     54)/4HDY  /,N(65)/4HHO  /,N(66)/4HER  /,N(67)/4HTM  /,N(68)/4HYB  /ANOM0021
     6,N(69)/4HLU  /,N(70)/4HHF  /,N(71)/4HTA  /,N(72)/4HW   /,N(73)/4HRANOM0022
     7E  /,N(74)/4HOS  /,N(75)/4HIR  /,N(76)/4HPT  /,N(77)/4HAU  /,N(78)ANOM0023
     8/4HHG  /,N(79)/4HTL  /,N(80)/4HPB  /                              ANOM0024
      DATA N(81)/4HBI  /,N(82)/4HPO  /,N(83)/4HAT  /,N(84)/4HRN  /,N(85)ANOM0025
     1/4HFR  /,N(86)/4HRA  /,N(87)/4HAC  /,N(88)/4HTH  /,N(89)/4HPA  /,NANOM0026
     2(90)/4HU   /,N(91)/4HNP  /,N(92)/4HPU  /,N(93)/4HAM  /,N(94)/4HCM ANOM0027
     3 /,N(95)/4HBK  /,N(96)/4HCF  /,N(97)/4HH   /,N(98)/4HD.  /        ANOM0028
C-----IDENTIFY ELEMEN  FOR RETRIEVING NEUTRON SCATTERING LENGTH         ANOM0029
      IF (KODLP.EQ.2) GO TO 3                                           ANOM0030
C-----IDENTIFY WAVELENGTH                                               ANOM0031
      DO 1 I=1,20                                                       ANOM0032
      IF (ANODE.EQ.M(I)) GO TO 2                                        ANOM0033
 1    CONTINUE                                                          ANOM0034
      WRITE (IPR,14) ANODE                                              ANOM0035
      GO TO 5                                                           ANOM0036
 2    INDICE=(FLOAT(I)-1.)/4.+1.                                        ANOM0037
C-----IDENTIFY ELEMENT SYMBOL                                           ANOM0038
 3    DO 4 I=1,98                                                       ANOM0039
      IF (ELEMEN.EQ.N(I)) GO TO 6                                       ANOM0040
 4    CONTINUE                                                          ANOM0041
      IF (KODLP.NE.2) WRITE (IPR,15) ELEMEN                             ANOM0042
 5    DELFR=0.                                                          ANOM0043
      DELFI=0.                                                          ANOM0044
      RETURN                                                            ANOM0045
 6    IF (KODLP.NE.2) GO TO 7                                           ANOM0046
      CALL NEUTF (I)                                                    ANOM0047
      RETURN                                                            ANOM0048
 7    INDE=2*I-1                                                        ANOM0049
      GO TO (8,9,10,11,12), INDICE                                      ANOM0050
 8    CALL CHROME (INDE)                                                ANOM0051
      GO TO 13                                                          ANOM0052
 9    CALL FER (INDE)                                                   ANOM0053
      GO TO 13                                                          ANOM0054
 10   CALL CUIVRE (INDE)                                                ANOM0055
      GO TO 13                                                          ANOM0056
 11   CALL MOLYBD (INDE)                                                ANOM0057
      GO TO 13                                                          ANOM0058
 12   CALL ARGENT (INDE)                                                ANOM0059
 13   RETURN                                                            ANOM0060
C                                                                       ANOM0061
 14   FORMAT (13H THE ANODE **,A4,21H**  IS NOT RECOGNIZED /            ANOM0062
     152H NO CORRECTION FOR ANOMALOUS DISPERSION WILL BE MADE)          ANOM0063
 15   FORMAT (11H SYMBOL ***,A4,43H*** IS NOT ALLOWED FOR ANOMALOUS DISPANOM0064
     1ERSION,/44H NO CORRECTION FOR THIS ELEMENT WILL BE MADE )         ANOM0065
      END                                                               ANOM0066
      SUBROUTINE NEUTF (I)                                              NEUT0000
C-----CONTAINS THE NUCLEAR SCATTERING LENGTHS FOR THERMAL NEUTRONS      NEUT0001
C-----COMPILED BY L. KOESTER IN "SPRINGER TRACTS IN MODERN PHYSICS NO 80NEUT0002
C----- NEUTRON PHYSICS, P 36 (1977) "                                   NEUT0003
      DIMENSION A(98)                                                   NEUT0004
      COMMON /NEU/ FNEU                                                 NEUT0005
      DATA A(1)/-.203/,A(2)/.780/,A(3)/.535/,A(4)/.665/,A(5)/.936/,A(6)/NEUT0006
     1.580/,A(7)/.566/,A(8)/.460/,A(9)/.363/,A(10)/.538/,A(11)/.345/,A(1NEUT0007
     22)/.415/,A(13)/.513/,A(14)/.285/,A(15)/.958/,A(16)/.180/,A(17)/.37NEUT0008
     31/,A(18)/.490/,A(19)/1.215/,A(20)/-.337/,A(21)/-.041/,A(22)/.353/,NEUT0009
     4A(23)/-.373/,A(24)/.954/,A(25)/.278/,A(26)/1.030/,A(27)/.769/,A(28NEUT0010
     5)/.570/,A(29)/.720/,A(30)/.819/,A(31)/.673/,A(32)/.795/,A(33)/.677NEUT0011
     6/,A(34)/.791/,A(35)/.708/,A(36)/.688/,A(37)/.775/,A(38)/.700/,A(39NEUT0012
     7)/.711/,A(40)/.695/,A(41)/.680/,A(42)/.721/,A(43)/.588/,A(44)/.600NEUT0013
     8/,A(45)/.602/,A(46)/.380/,A(47)/.408/,A(48)/.622/,A(49)/.564/,A(50NEUT0014
     9)/.543/                                                           NEUT0015
      DATA A(51)/.528/,A(52)/.488/,A(53)/.542/,A(54)/.528/,A(55)/.827/,ANEUT0016
     1(56)/.483/,A(57)/.445/,A(58)/.780/,A(59)/.000/,A(60)/-.500/,A(61)/NEUT0017
     2.550/,A(62)/1.500/,A(63)/.738/,A(64)/1.710/,A(65)/.850/,A(66)/.803NEUT0018
     3/,A(67)/.705/,A(68)/1.262/,A(69)/.730/,A(70)/.777/,A(71)/.691/,A(7NEUT0019
     42)/.477/,A(73)/.920/,A(74)/1.080/,A(75)/1.060/,A(76)/.950/,A(77)/.NEUT0020
     5763/,A(78)/1.266/,A(79)/.889/,A(80)/.940/,A(81)/.853/,A(82)/.000/,NEUT0021
     6A(83)/.000/,A(84)/.000/,A(85)/.000/,A(86)/.000/,A(87)/.000/,A(88)/NEUT0022
     71.008/,A(89)/1.300/,A(90)/.861/,A(91)/1.060/,A(92)/.750/,A(93)/.76NEUT0023
     80/,A(94)/.700/,A(95)/.000/,A(96)/.000/,A(97)/-.374/,A(98)/.667/   NEUT0024
      FNEU=A(I)                                                         NEUT0025
      RETURN                                                            NEUT0026
      END                                                               NEUT0027
      SUBROUTINE CHROME (I)                                             CROM0000
C-----CONTAINS ANOMALOUS DISPERSION CORRECTION TERMS FOR  CRK           CROM0001
C-----TABULATED IN THE INTERNATIONAL TABLES VOLUME 4 PAGE 149           CROM0002
      COMMON /ANOMAL/ DELFR,DELFI                                       CROM0003
      DIMENSION C(192)                                                  CROM0004
      DATA C(1)/0.002/,C(2)/0.001/,C(3)/0.008/,C(4)/0.003/,C(5)/0.018/,CCROM0005
     1(6)/0.009/,C(7)/0.035/,C(8)/0.021/,C(9)/0.059/,C(10)/0.042/,C(11)/CROM0006
     20.090/,C(12)/0.073/,C(13)/0.129/,C(14)/0.119/,C(15)/0.174/,C(16)/0CROM0007
     3.184/,C(17)/0.223/,C(18)/0.270/,C(19)/0.272/,C(20)/0.381/,C(21)/0.CROM0008
     4318/,C(22)/0.522/,C(23)/0.355/,C(24)/0.693/,C(25)/0.377/,C(26)/0.9CROM0009
     500/,C(27)/0.374/,C(28)/1.142/,C(29)/0.335/,C(30)/1.423/,C(31)/0.24CROM0010
     63/,C(32)/1.747/,C(33)/0.070/,C(34)/2.110/,C(35)/-0.221/,C(36)/2.51CROM0011
     74/,C(37)/-0.717/,C(38)/2.968/,C(39)/-1.683/,C(40)/3.470/          CROM0012
      DATA C(41)/-3.841/,C(42)/0.459/,C(43)/-2.161/,C(44)/0.548/,C(45)/-CROM0013
     11.639/,C(46)/0.650/,C(47)/-1.339/,C(48)/0.764/,C(49)/-1.124/,C(50)CROM0014
     2/0.893/,C(51)/-0.956/,C(52)/1.036/,C(53)/-0.795/,C(54)/1.196/,C(55CROM0015
     3)/-0.684/,C(56)/1.373/,C(57)/-0.570/,C(58)/1.569/,C(59)/-0.462/,C(CROM0016
     460)/1.786/,C(61)/-0.365/,C(62)/2.022/,C(63)/-0.273/,C(64)/2.283/,CCROM0017
     5(65)/-0.198/,C(66)/2.563/,C(67)/-0.130/,C(68)/2.872/,C(69)/-0.082/CROM0018
     6,C(70)/3.201/,C(71)/-0.012/,C(72)/3.608/,C(73)/0.006/,C(74)/4.002/CROM0019
     7,C(75)/0.007/,C(76)/4.422/,C(77)/-0.013/,C(78)/4.876/,C(79)/-0.063CROM0020
     8/,C(80)/5.353/                                                    CROM0021
      DATA C(81)/-0.153/,C(82)/5.862/,C(83)/-0.270/,C(84)/6.406/,C(85)/-CROM0022
     10.424/,C(86)/6.984/,C(87)/-0.639/,C(88)/7.594/,C(89)/-0.924/,C(90)CROM0023
     2/8.235/,C(91)/-1.303/,C(92)/8.912/,C(93)/-1.788/,C(94)/9.627/,C(95CROM0024
     3)/-2.401/,C(96)/10.380/,C(97)/-3.194/,C(98)/11.166/,C(99)/-4.267/,CROM0025
     4C(100)/11.995/,C(101)/-5.852/,C(102)/12.850/,C(103)/-8.133/,C(104)CROM0026
     5/11.933/,C(105)/-10.742/,C(106)/12.919/,C(107)/-11.460/,C(108)/9.9CROM0027
     681/,C(109)/-12.135/,C(110)/3.565/,C(111)/-9.574/,C(112)/3.843/,C(1CROM0028
     713)/-7.817/,C(114)/4.130/,C(115)/-7.486/,C(116)/4.427/,C(117)/-6.8CROM0029
     891/,C(118)/4.741/,C(119)/-6.429/,C(120)/5.073/                    CROM0030
      DATA C(121)/-6.050/,C(122)/5.416/,C(123)/-5.779/,C(124)/5.773/,C(1CROM0031
     125)/-5.525/,C(126)/6.153/,C(127)/-5.250/,C(128)/6.549/,C(129)/-5.0CROM0032
     240/,C(130)/6.958/,C(131)/-4.878/,C(132)/7.387/,C(133)/-4.753/,C(13CROM0033
     34)/7.833/,C(135)/-4.652/,C(136)/8.291/,C(137)/-4.580/,C(138)/8.759CROM0034
     4/,C(139)/-4.592/,C(140)/9.277/,C(141)/-4.540/,C(142)/9.811/,C(143)CROM0035
     5/-4.499/,C(144)/10.364/,C(145)/-4.483/,C(146)/10.929/,C(147)/-4.50CROM0036
     63/,C(148)/11.520/,C(149)/-4.527/,C(150)/12.140/,C(151)/-4.584/,C(1CROM0037
     752)/12.787/,C(153)/-4.668/,C(154)/13.451/,C(155)/-4.803/,C(156)/14CROM0038
     8.143/,C(157)/-4.945/,C(158)/14.860/,C(159)/-5.161/,C(160)/15.595/ CROM0039
      DATA C(161)/-5.420/,C(162)/16.341/,C(163)/-5.742/,C(164)/17.139/,CCROM0040
     1(165)/-6.132/,C(166)/17.942/,C(167)/-6.545/,C(168)/18.775/,C(169)/CROM0041
     2-7.052/,C(170)/19.615/,C(171)/-7.614/,C(172)/20.461/,C(173)/-8.318CROM0042
     3/,C(174)/21.327/,C(175)/-9.150/,C(176)/22.240/,C(177)/-10.382/,C(1CROM0043
     478)/23.161/,C(179)/-10.930/,C(180)/23.121/,C(181)/-12.152/,C(182)/CROM0044
     524.097/,C(183)/-12.280/,C(184)/23.658/,C(185)/-12.771/,C(186)/24.6CROM0045
     607/,C(187)/-13.513/,C(188)/25.540/,C(189)/-14.827/,C(190)/26.801/,CROM0046
     7C(191)/-16.272/,C(192)/27.898/                                    CROM0047
      DELFR=C(I)                                                        CROM0048
      I=I+1                                                             CROM0049
      DELFI=C(I)                                                        CROM0050
      RETURN                                                            CROM0051
      END                                                               CROM0052
      SUBROUTINE FER (I)                                                IRON0000
C-----CONTAINS ANOMALOUS DISPERSION CORRECTION TERMS FOR  FEK           IRON0001
C-----TABULATED IN THE INTERNATIONAL TABLES VOLUME 4 PAGE 149           IRON0002
      COMMON /ANOMAL/ DELFR,DELFI                                       IRON0003
      DIMENSION C(192)                                                  IRON0004
      DATA C(1)/0.002/,C(2)/0.001/,C(3)/0.005/,C(4)/0.002/,C(5)/0.013/,CIRON0005
     1(6)/0.007/,C(7)/0.026/,C(8)/0.015/,C(9)/0.044/,C(10)/0.029/,C(11)/IRON0006
     20.069/,C(12)/0.052/,C(13)/0.100/,C(14)/0.085/,C(15)/0.138/,C(16)/0IRON0007
     3.132/,C(17)/0.180/,C(18)/0.195/,C(19)/0.224/,C(20)/0.277/,C(21)/0.IRON0008
     4269/,C(22)/0.381/,C(23)/0.311/,C(24)/0.509/,C(25)/0.347/,C(26)/0.6IRON0009
     564/,C(27)/0.370/,C(28)/0.847/,C(29)/0.375/,C(30)/1.061/,C(31)/0.35IRON0010
     62/,C(32)/1.309/,C(33)/0.286/,C(34)/1.589/,C(35)/0.163/,C(36)/1.904IRON0011
     7/,C(37)/-0.038/,C(38)/2.256/,C(39)/-0.357/,C(40)/2.643/           IRON0012
      DATA C(41)/-0.896/,C(42)/3.070/,C(43)/-1.973/,C(44)/3.533/,C(45)/-IRON0013
     13.367/,C(46)/0.481/,C(47)/-2.095/,C(48)/0.566/,C(49)/-1.623/,C(50)IRON0014
     2/0.662/,C(51)/-1.343/,C(52)/0.769/,C(53)/-1.129/,C(54)/0.888/,C(55IRON0015
     3)/-0.978/,C(56)/1.021/,C(57)/-0.841/,C(58)/1.168/,C(59)/-0.717/,C(IRON0016
     460)/1.331/,C(61)/-0.607/,C(62)/1.508/,C(63)/-0.503/,C(64)/1.704/,CIRON0017
     5(65)/-0.413/,C(66)/1.916/,C(67)/-0.328/,C(68)/2.149/,C(69)/-0.256/IRON0018
     6,C(70)/2.398/,C(71)/-0.161/,C(72)/2.709/,C(73)/-0.106/,C(74)/3.009IRON0019
     7/,C(75)/-0.061/,C(76)/3.329/,C(77)/-0.028/,C(78)/3.676/,C(79)/-0.0IRON0020
     812/,C(80)/4.043/                                                  IRON0021
      DATA C(81)/-0.017/,C(82)/4.434/,C(83)/-0.039/,C(84)/4.854/,C(85)/-IRON0022
     10.083/,C(86)/5.300/,C(87)/-0.157/,C(88)/5.773/,C(89)/-0.259/,C(90)IRON0023
     2/6.271/,C(91)/-0.416/,C(92)/6.800/,C(93)/-0.626/,C(94)/7.356/,C(95IRON0024
     3)/-0.888/,C(96)/7.943/,C(97)/-1.214/,C(98)/8.557/,C(99)/-1.630/,C(IRON0025
     4100)/9.203/,C(101)/-2.147/,C(102)/9.885/,C(103)/-2.812/,C(104)/10.IRON0026
     5608/,C(105)/-3.652/,C(106)/11.382/,C(107)/-4.832/,C(108)/12.164/,CIRON0027
     6(109)/-6.683/,C(110)/12.937/,C(111)/-8.388/,C(112)/11.953/,C(113)/IRON0028
     7-12.457/,C(114)/6.285/,C(115)/-11.016/,C(116)/9.874/,C(117)/-12.12IRON0029
     82/,C(118)/3.627/,C(119)/-9.616/,C(120)/3.883/                     IRON0030
      DATA C(121)/-8.352/,C(122)/4.149/,C(123)/-7.565/,C(124)/4.427/,C(1IRON0031
     125)/-6.980/,C(126)/4.721/,C(127)/-6.492/,C(128)/5.026/,C(129)/-6.1IRON0032
     212/,C(130)/5.343/,C(131)/-5.810/,C(132)/5.675/,C(133)/-5.565/,C(13IRON0033
     34)/6.022/,C(135)/-5.361/,C(136)/6.378/,C(137)/-5.190/,C(138)/6.745IRON0034
     4/,C(139)/-5.088/,C(140)/7.148/,C(141)/-4.948/,C(142)/7.565/,C(143)IRON0035
     5/-4.823/,C(144)/7.996/,C(145)/-4.719/,C(146)/8.439/,C(147)/-4.647/IRON0036
     6,C(148)/8.903/,C(149)/-4.578/,C(150)/9.389/,C(151)/-4.535/,C(152)/IRON0037
     79.895/,C(153)/-4.510/,C(154)/10.418/,C(155)/-4.523/,C(156)/10.963/IRON0038
     8,C(157)/-4.532/,C(158)/11.528/,C(159)/-4.595/,C(160)/12.108/      IRON0039
      DATA C(161)/-4.688/,C(162)/12.700/,C(163)/-4.817/,C(164)/13.331/,CIRON0040
     1(165)/-4.991/,C(166)/13.969/,C(167)/-5.173/,C(168)/14.629/,C(169)/IRON0041
     2-5.402/,C(170)/15.299/,C(171)/-5.659/,C(172)/15.977/,C(173)/-5.976IRON0042
     3/,C(174)/16.668/,C(175)/-6.313/,C(176)/17.397/,C(177)/-6.695/,C(17IRON0043
     48)/18.140/,C(179)/-7.126/,C(180)/18.879/,C(181)/-7.624/,C(182)/19.IRON0044
     5642/,C(183)/-8.187/,C(184)/20.425/,C(185)/-8.872/,C(186)/21.173/,CIRON0045
     6(187)/-9.743/,C(188)/21.896/,C(189)/-10.539/,C(190)/21.942/,C(191)IRON0046
     7/-11.641/,C(192)/22.785/                                          IRON0047
      DELFR=C(I)                                                        IRON0048
      I=I+1                                                             IRON0049
      DELFI=C(I)                                                        IRON0050
      RETURN                                                            IRON0051
      END                                                               IRON0052
      SUBROUTINE CUIVRE (I)                                             COPP0000
C-----CONTAINS ANOMALOUS DISPERSION CORRECTION TERMS FOR  CUK           COPP0001
C-----TABULATED IN THE INTERNATIONAL TABLES VOLUME 4 PAGE 149           COPP0002
      COMMON /ANOMAL/ DELFR,DELFI                                       COPP0003
      DIMENSION C(192)                                                  COPP0004
      DATA C(1)/0.001/,C(2)/0.000/,C(3)/0.003/,C(4)/0.000/,C(5)/0.008/,CCOPP0005
     1(6)/0.004/,C(7)/0.017/,C(8)/0.009/,C(9)/0.029/,C(10)/0.018/,C(11)/COPP0006
     20.047/,C(12)/0.032/,C(13)/0.069/,C(14)/0.053/,C(15)/0.097/,C(16)/0COPP0007
     3.083/,C(17)/0.129/,C(18)/0.124/,C(19)/0.165/,C(20)/0.177/,C(21)/0.COPP0008
     4204/,C(22)/0.246/,C(23)/0.244/,C(24)/0.330/,C(25)/0.283/,C(26)/0.4COPP0009
     534/,C(27)/0.319/,C(28)/0.557/,C(29)/0.348/,C(30)/0.702/,C(31)/0.36COPP0010
     66/,C(32)/0.872/,C(33)/0.365/,C(34)/1.066/,C(35)/0.341/,C(36)/1.286COPP0011
     7/,C(37)/0.285/,C(38)/1.533/,C(39)/0.189/,C(40)/1.807/             COPP0012
      DATA C(41)/0.035/,C(42)/2.110/,C(43)/-0.198/,C(44)/2.443/,C(45)/-0COPP0013
     1.568/,C(46)/2.808/,C(47)/-1.179/,C(48)/3.204/,C(49)/-2.464/,C(50)/COPP0014
     23.608/,C(51)/-2.956/,C(52)/0.509/,C(53)/-2.019/,C(54)/0.589/,C(55)COPP0015
     3/-1.612/,C(56)/0.678/,C(57)/-1.354/,C(58)/0.777/,C(59)/-1.163/,C(6COPP0016
     40)/0.886/,C(61)/-1.011/,C(62)/1.006/,C(63)/-0.879/,C(64)/1.139/,C(COPP0017
     565)/-0.767/,C(66)/1.283/,C(67)/-0.665/,C(68)/1.439/,C(69)/-0.574/,COPP0018
     6C(70)/1.608/,C(71)/-0.465/,C(72)/1.820/,C(73)/-0.386/,C(74)/2.025/COPP0019
     7,C(75)/-0.314/,C(76)/2.245/,C(77)/-0.248/,C(78)/2.482/,C(79)/-0.19COPP0020
     81/,C(80)/2.735/                                                   COPP0021
      DATA C(81)/-0.145/,C(82)/3.005/,C(83)/-0.105/,C(84)/3.296/,C(85)/-COPP0022
     10.077/,C(86)/3.605/,C(87)/-0.059/,C(88)/3.934/,C(89)/-0.060/,C(90)COPP0023
     2/4.282/,C(91)/-0.079/,C(92)/4.653/,C(93)/-0.126/,C(94)/5.045/,C(95COPP0024
     3)/-0.194/,C(96)/5.459/,C(97)/-0.287/,C(98)/5.894/,C(99)/-0.418/,C(COPP0025
     4100)/6.352/,C(101)/-0.579/,C(102)/6.835/,C(103)/-0.783/,C(104)/7.3COPP0026
     548/,C(105)/-1.022/,C(106)/7.904/,C(107)/-1.334/,C(108)/8.460/,C(10COPP0027
     69)/-1.716/,C(110)/9.036/,C(111)/-2.170/,C(112)/9.648/,C(113)/-2.93COPP0028
     79/,C(114)/10.535/,C(115)/-3.431/,C(116)/10.933/,C(117)/-4.357/,C(1COPP0029
     818)/11.614/,C(119)/-5.696/,C(120)/12.320/                         COPP0030
      DATA C(121)/-7.718/,C(122)/11.276/,C(123)/-9.242/,C(124)/11.946/,CCOPP0031
     1(125)/-9.498/,C(126)/9.242/,C(127)/-10.423/,C(128)/9.748/,C(129)/-COPP0032
     212.255/,C(130)/3.704/,C(131)/-9.733/,C(132)/3.937/,C(133)/-8.488/,COPP0033
     3C(134)/4.181/,C(135)/-7.701/,C(136)/4.432/,C(137)/-7.133/,C(138)/4COPP0034
     4.693/,C(139)/-6.715/,C(140)/4.977/,C(141)/-6.351/,C(142)/5.271/,C(COPP0035
     5143)/-6.048/,C(144)/5.577/,C(145)/-5.790/,C(146)/5.891/,C(147)/-5.COPP0036
     6581/,C(148)/6.221/,C(149)/-5.391/,C(150)/6.566/,C(151)/-5.233/,C(1COPP0037
     752)/6.925/,C(153)/-5.096/,C(154)/7.297/,C(155)/-4.990/,C(156)/7.68COPP0038
     86/,C(157)/-4.883/,C(158)/8.089/,C(159)/-4.818/,C(160)/8.505/      COPP0039
      DATA C(161)/-4.776/,C(162)/8.930/,C(163)/-4.756/,C(164)/9.383/,C(1COPP0040
     165)/-4.772/,C(166)/9.843/,C(167)/-4.787/,C(168)/10.317/,C(169)/-4.COPP0041
     2833/,C(170)/10.803/,C(171)/-4.898/,C(172)/11.296/,C(173)/-4.994/,CCOPP0042
     3(174)/11.799/,C(175)/-5.091/,C(176)/12.330/,C(177)/-5.216/,C(178)/COPP0043
     412.868/,C(179)/-5.359/,C(180)/13.409/,C(181)/-5.529/,C(182)/13.967COPP0044
     5/,C(183)/-5.712/,C(184)/14.536/,C(185)/-5.930/,C(186)/15.087/,C(18COPP0045
     67)/-6.176/,C(188)/15.634/,C(189)/-6.498/,C(190)/16.317/,C(191)/-6.COPP0046
     7798/,C(192)/16.930/                                               COPP0047
      DELFR=C(I)                                                        COPP0048
      I=I+1                                                             COPP0049
      DELFI=C(I)                                                        COPP0050
      RETURN                                                            COPP0051
      END                                                               COPP0052
      SUBROUTINE MOLYBD (I)                                             MOLY0000
C-----CONTAINS ANOMALOUS DISPERSION CORRECTION TERMS FOR  MOK           MOLY0001
C-----TABULATED IN THE INTERNATIONAL TABLES VOLUME 4 PAGE 149           MOLY0002
      COMMON /ANOMAL/ DELFR,DELFI                                       MOLY0003
      DIMENSION C(192)                                                  MOLY0004
      DATA C(1)/0.000/,C(2)/0.000/,C(3)/0.000/,C(4)/0.000/,C(5)/0.000/,CMOLY0005
     1(6)/0.001/,C(7)/0.002/,C(8)/0.002/,C(9)/0.004/,C(10)/0.003/,C(11)/MOLY0006
     20.008/,C(12)/0.006/,C(13)/0.014/,C(14)/0.010/,C(15)/0.021/,C(16)/0MOLY0007
     3.016/,C(17)/0.030/,C(18)/0.025/,C(19)/0.042/,C(20)/0.036/,C(21)/0.MOLY0008
     4056/,C(22)/0.052/,C(23)/0.072/,C(24)/0.071/,C(25)/0.090/,C(26)/0.0MOLY0009
     595/,C(27)/0.110/,C(28)/0.124/,C(29)/0.132/,C(30)/0.159/,C(31)/0.15MOLY0010
     65/,C(32)/0.201/,C(33)/0.179/,C(34)/0.250/,C(35)/0.203/,C(36)/0.306MOLY0011
     7/,C(37)/0.226/,C(38)/0.372/,C(39)/0.248/,C(40)/0.446/             MOLY0012
      DATA C(41)/0.267/,C(42)/0.530/,C(43)/0.284/,C(44)/0.624/,C(45)/0.2MOLY0013
     195/,C(46)/0.729/,C(47)/0.301/,C(48)/0.845/,C(49)/0.299/,C(50)/0.97MOLY0014
     23/,C(51)/0.285/,C(52)/1.113/,C(53)/0.263/,C(54)/1.266/,C(55)/0.222MOLY0015
     3/,C(56)/1.431/,C(57)/0.163/,C(58)/1.609/,C(59)/0.081/,C(60)/1.801/MOLY0016
     4,C(61)/-0.030/,C(62)/2.007/,C(63)/-0.178/,C(64)/2.223/,C(65)/-0.37MOLY0017
     54/,C(66)/2.456/,C(67)/-0.652/,C(68)/2.713/,C(69)/-1.044/,C(70)/2.9MOLY0018
     673/,C(71)/-1.657/,C(72)/3.264/,C(73)/-2.951/,C(74)/3.542/,C(75)/-2MOLY0019
     7.965/,C(76)/0.560/,C(77)/-2.197/,C(78)/0.621/,C(79)/-1.825/,C(80)/MOLY0020
     80.688/                                                            MOLY0021
      DATA C(81)/-1.590/,C(82)/0.759/,C(83)/-1.420/,C(84)/0.836/,C(85)/-MOLY0022
     11.287/,C(86)/0.919/,C(87)/-1.177/,C(88)/1.007/,C(89)/-1.085/,C(90)MOLY0023
     2/1.101/,C(91)/-1.005/,C(92)/1.202/,C(93)/-0.936/,C(94)/1.310/,C(95MOLY0024
     3)/-0.873/,C(96)/1.424/,C(97)/-0.816/,C(98)/1.546/,C(99)/-0.772/,C(MOLY0025
     4100)/01.675/,C(101)/-0.726/,C(102)/1.812/,C(103)/-0.684/,C(104)/1.MOLY0026
     5958/,C(105)/-0.644/,C(106)/2.119/,C(107)/-0.613/,C(108)/2.282/,C(1MOLY0027
     609)/-0.588/,C(110)/2.452/,C(111)/-0.564/,C(112)/2.632/,C(113)/-0.5MOLY0028
     730/,C(114)/2.845/,C(115)/-0.535/,C(116)/3.018/,C(117)/-0.530/,C(11MOLY0029
     88)/3.225/,C(119)/-0.533/,C(120)/3.442/                            MOLY0030
      DATA C(121)/-0.542/,C(122)/3.669/,C(123)/-0.564/,C(124)/3.904/,C(1MOLY0031
     125)/-0.591/,C(126)/4.151/,C(127)/-0.619/,C(128)/4.410/,C(129)/-0.6MOLY0032
     266/,C(130)/4.678/,C(131)/-0.723/,C(132)/4.958/,C(133)/-0.795/,C(13MOLY0033
     34)/5.248/,C(135)/-0.884/,C(136)/5.548/,C(137)/-0.988/,C(138)/5.858MOLY0034
     4/,C(139)/-1.118/,C(140)/6.185/,C(141)/-1.258/,C(142)/6.523/,C(143)MOLY0035
     5/-1.421/,C(144)/6.872/,C(145)/-1.598/,C(146)/7.232/,C(147)/-1.816/MOLY0036
     6,C(148)/7.605/,C(149)/-2.066/,C(150)/7.990/,C(151)/-2.352/,C(152)/MOLY0037
     78.388/,C(153)/-2.688/,C(154)/8.798/,C(155)/-3.084/,C(156)/9.223/,CMOLY0038
     8(157)/-3.556/,C(158)/9.659/,C(159)/-4.133/,C(160)/10.102/         MOLY0039
      DATA C(161)/-4.861/,C(162)/10.559/,C(163)/-5.924/,C(164)/11.042/,CMOLY0040
     1(165)/-7.444/,C(166)/9.961/,C(167)/-8.862/,C(168)/10.403/,C(169)/-MOLY0041
     27.912/,C(170)/7.754/,C(171)/-7.620/,C(172)/8.105/,C(173)/-7.725/,CMOLY0042
     3(174)/8.472/,C(175)/-8.127/,C(176)/8.870/,C(177)/-8.960/,C(178)/9.MOLY0043
     4284/,C(179)/-10.673/,C(180)/9.654/,C(181)/-11.158/,C(182)/4.148/,CMOLY0044
     5(183)/-9.725/,C(184)/4.330/,C(185)/-8.926/,C(186)/4.511/,C(187)/-8MOLY0045
     6.416/,C(188)/4.697/,C(189)/-7.990/,C(190)/4.908/,C(191)/-7.683/,C(MOLY0046
     7192)/5.107/                                                       MOLY0047
      DELFR=C(I)                                                        MOLY0048
      I=I+1                                                             MOLY0049
      DELFI=C(I)                                                        MOLY0050
      RETURN                                                            MOLY0051
      END                                                               MOLY0052
      SUBROUTINE ARGENT (I)                                             SILV0000
C-----CONTAINS ANOMALOUS DISPERSION CORRECTION TERMS FOR  AGK           SILV0001
C-----TABULATED IN THE INTERNATIONAL TABLES VOLUME 4 PAGE 149           SILV0002
      COMMON /ANOMAL/ DELFR,DELFI                                       SILV0003
      DIMENSION C(192)                                                  SILV0004
      DATA C(1)/0.000/,C(2)/0.000/,C(3)/0.001/,C(4)/0.000/,C(5)/0.000/,CSILV0005
     1(6)/0.000/,C(7)/0.000/,C(8)/0.001/,C(9)/0.001/,C(10)/0.002/,C(11)/SILV0006
     20.003/,C(12)/0.004/,C(13)/0.006/,C(14)/0.006/,C(15)/0.011/,C(16)/0SILV0007
     3.010/,C(17)/0.016/,C(18)/0.015/,C(19)/0.023/,C(20)/0.022/,C(21)/0.SILV0008
     4032/,C(22)/0.031/,C(23)/0.042/,C(24)/0.043/,C(25)/0.055/,C(26)/0.0SILV0009
     558/,C(27)/0.068/,C(28)/0.076/,C(29)/0.084/,C(30)/0.099/,C(31)/0.10SILV0010
     61/,C(32)/0.125/,C(33)/0.118/,C(34)/0.156/,C(35)/0.137/,C(36)/0.193SILV0011
     7/,C(37)/0.156/,C(38)/0.235/,C(39)/0.175/,C(40)/0.283/             SILV0012
      DATA C(41)/0.194/,C(42)/0.338/,C(43)/0.213/,C(44)/0.399/,C(45)/0.2SILV0013
     129/,C(46)/0.468/,C(47)/0.244/,C(48)/0.545/,C(49)/0.256/,C(50)/0.63SILV0014
     20/,C(51)/0.261/,C(52)/0.724/,C(53)/0.265/,C(54)/0.826/,C(55)/0.260SILV0015
     3/,C(56)/0.938/,C(57)/0.249/,C(58)/1.059/,C(59)/0.228/,C(60)/1.190/SILV0016
     4,C(61)/0.196/,C(62)/1.332/,C(63)/0.152/,C(64)/1.481/,C(65)/0.090/,SILV0017
     5C(66)/1.643/,C(67)/0.008/,C(68)/1.820/,C(69)/-0.099/,C(70)/2.003/,SILV0018
     6C(71)/-0.230/,C(72)/2.203/,C(73)/-0.406/,C(74)/2.411/,C(75)/-0.639SILV0019
     7/,C(76)/2.630/,C(77)/-0.957/,C(78)/2.860/,C(79)/-1.416/,C(80)/3.10SILV0020
     83/                                                                SILV0021
      DATA C(81)/-2.205/,C(82)/3.535/,C(83)/-5.524/,C(84)/3.651/,C(85)/-SILV0022
     12.649/,C(86)/0.596/,C(87)/-2.128/,C(88)/0.654/,C(89)/-1.834/,C(90)SILV0023
     2/0.717/,C(91)/-1.637/,C(92)/0.783/,C(93)/-1.493/,C(94)/0.854/,C(95SILV0024
     3)/-1.378/,C(96)/0.930/,C(97)/-1.284/,C(98)/1.010/,C(99)/-1.212/,C(SILV0025
     4100)/1.096/,C(101)/-1.144/,C(102)/1.187/,C(103)/-1.084/,C(104)/1.2SILV0026
     584/,C(105)/-1.029/,C(106)/1.391/,C(107)/-0.983/,C(108)/1.500/,C(10SILV0027
     69)/-0.942/,C(110)/1.615/,C(111)/-0.904/,C(112)/1.735/,C(113)/-0.85SILV0028
     79/,C(114)/1.873/,C(115)/-0.842/,C(116)/1.995/,C(117)/-0.818/,C(118SILV0029
     8)/2.135/,C(119)/-0.798/,C(120)/2.281/                             SILV0030
      DATA C(121)/-0.782/,C(122)/2.435/,C(123)/-0.774/,C(124)/2.595/,C(1SILV0031
     125)/-0.767/,C(126)/2.764/,C(127)/-0.761/,C(128)/2.940/,C(129)/-0.7SILV0032
     265/,C(130)/3.124/,C(131)/-0.773/,C(132)/3.316/,C(133)/-0.790/,C(13SILV0033
     34)/3.515/,C(135)/-0.815/,C(136)/3.723/,C(137)/-0.847/,C(138)/3.937SILV0034
     4/,C(139)/-0.890/,C(140)/4.164/,C(141)/-0.937/,C(142)/4.399/,C(143)SILV0035
     5/-0.993/,C(144)/4.643/,C(145)/-1.048/,C(146)/4.894/,C(147)/-1.127/SILV0036
     6,C(148)/5.156/,C(149)/-1.216/,C(150)/5.427/,C(151)/-1.319/,C(152)/SILV0037
     75.708/,C(153)/-1.438/,C(154)/5.998/,C(155)/-1.576/,C(156)/6.299/,CSILV0038
     8(157)/-1.730/,C(158)/6.610/,C(159)/-1.910/,C(160)/6.930/          SILV0039
      DATA C(161)/-2.116/,C(162)/7.258/,C(163)/-2.353/,C(164)/7.600/,C(1SILV0040
     165)/-2.630/,C(166)/7.949/,C(167)/-2.932/,C(168)/8.308/,C(169)/-3.2SILV0041
     285/,C(170)/8.674/,C(171)/03.702/,C(172)/9.047/,C(173)/-4.192/,C(17SILV0042
     34)/9.428/,C(175)/-4.784/,C(176)/9.819/,C(177)/-5.555/,C(178)/10.22SILV0043
     47/,C(179)/-6.735/,C(180)/10.637/,C(181)/-7.842/,C(182)/9.570/,C(18SILV0044
     53)/-8.473/,C(184)/6.999/,C(185)/-7.701/,C(186)/7.296/,C(187)/-7.38SILV0045
     68/,C(188)/7.589/,C(189)/-7.485/,C(190)/7.931/,C(191)/-7.638/,C(192SILV0046
     7)/8.246/                                                          SILV0047
      DELFR=C(I)                                                        SILV0048
      I=I+1                                                             SILV0049
      DELFI=C(I)                                                        SILV0050
      RETURN                                                            SILV0051
      END                                                               SILV0052
                                                                                
                                                                                
                                                                                
                                                                                
                                                                                
                                                                                
                                                                                
